/* Switches between Raised Median and Median Ditch */

if intersect dgn = "curb & gutter" within distance = 2.0 then
  {
   if median width > 0 and px1 > px2 then 
      {
	/* Evaluates graphical elements to determine situation */
      /*  1=2'curb  2=1.5'curb  3=o.g.  9=9x15   */

		if "median curb type"  = 1 then
  		{
    		include med_new_2ft.x 
  		}
		else if "median curb type"  = 2 then
  		{
     		include med_new_1_5.x 
		}
		else if "median curb type"  = 3 then
  		{
     		include med_new_og.x 
		}
		else if "median curb type"  = 9 then
  		{
     		include med_new_915.x 
  		}
      }
   else if median width > 0 and px1 < px2 then
      {

  	/* Evaluates graphical elements to determine situation */
      /*  1=2'curb  2=1.5'curb  3=o.g.  9=9x15   */

		if "median curb type"  = 1 then
   		  {
    		  include med_new_2ft.x 
  		  }
		else if "median curb type"  = 2 then
  		  {
     		  include med_new_1_5.x 
		  }
		else if "median curb type"  = 3 then
  		  {
     		  include med_new_og.x 
		  }
		else if "median curb type"  = 9 then
  		  {
     		  include med_new_915.x 
  		  }
      }
  }
else if median width > 0 then
  {
  /* Draws shoulder for median section */
  /* IF YOU ARE ON THE LEFT SIDE OF THE MEDIAN */
  if px1 > px2 and median width > 0 then
    {
     if PAVEMENT SLOPE < 0.00 then
      /* SE  high side */
       { 
       set plot parameters "~greenside symbology"
       mark x1 y1
       draw slope = -1 * PAVEMENT SLOPE for dx ="MEDIAN SHOULDER WIDTH" 
       mark x3 y3
       draw skip to x1 y1
       draw skip dx=0 dy=-abs("pavement thickness")
       /* NOTCH */
       set plot parameters "~pavement symbology"

       draw slope = -pavement slope for dx=.5
       draw dx=0 dy="base thickness"
       draw slope = pavement slope to x1
       draw to x1 y1
       draw skip to x3 y3
       }
     else
       {
       /* Draw shoulder (12:1) */
       set plot parameters "~greenside symbology"
       mark x1 y1
       _d_sh_slope = "shoulder slope"
       draw slope = _d_sh_slope:-1 for dx = "MEDIAN SHOULDER WIDTH"
       mark x3 y3
       draw skip to x1 y1
       draw skip dx=0 dy=-abs("pavement thickness")
       /* NOTCH */
       set plot parameters "~pavement symbology"
       draw slope = -pavement slope for dx=.5
       draw dx=0 dy="base thickness"
       draw slope = pavement slope to x1
       draw to x1 y1
       draw skip to x3 y3
       }
     mark x800 y800
     /* LABEL shoulder SLOPES */
     draw slope text between x1 y1 and x3 y3 
     "~shoulder slope text symbology" format=: number of decimal places = 1
    }

  /* ELSE IF YOU ARE ON THE RIGHT SIDE OF THE MEDIAN */
  else if px1 < px2 and median width > 0 then
    {
    /* DRAW SHOULDER */
    if PAVEMENT SLOPE < 0.00 then
    /* SE  high side */
      { 
       set plot parameters "~greenside symbology"
       mark x1 y1
       draw slope = -1 * PAVEMENT SLOPE for dx ="MEDIAN SHOULDER WIDTH" 
       mark x3 y3
       draw skip to x1 y1
       draw skip dx=0 dy=-abs("pavement thickness")
       /* NOTCH */
       set plot parameters "~pavement symbology"

       draw slope = -pavement slope for dx=.5
       draw dx=0 dy="base thickness"
       draw slope = pavement slope to x1
       draw to x1 y1
       draw skip to x3 y3
      }
    else
      {
       /* Draw shoulder (12:1) */
       set plot parameters "~greenside symbology"
       mark x1 y1
       _d_sh_slope = "shoulder slope"
       draw slope = _d_sh_slope:-1 for dx = "median shoulder width"
       mark x3 y3
       draw skip to x1 y1
       draw skip dx=0 dy=-abs("pavement thickness")
       /* NOTCH */
       set plot parameters "~pavement symbology"
       draw slope = -pavement slope for dx=.5
       draw dx=0 dy="base thickness"
       draw slope = pavement slope to x1
       draw to x1 y1
       draw skip to x3 y3
      }

    mark x801 y801
    /* CHECK TO SEE WHICH SIDE OF MEDIAN IS HIGHER */
    /* Draw Median Ditch */
    set plot parameters "~ditch slope symbology"  
    if y800 >= y801 then
      {
      draw slope = 6:-1 for dx=abs(x801 - x800)/2
      mark x802 y802
      draw to x800 y800
      }
    else
      {
      draw skip to x800 y800
      draw slope = -6:-1 for dx=abs(x801 - x800)/2
      mark x802 y802
      draw to x801 y801
      }

      /* LABEL SLOPES & Elevation  */
    draw slope text between x1 y1 and x3 y3 
       "~shoulder slope text symbology" format=: number of decimal places = 1
    if abs(x800 - x801) > 2.0 then
      {
      draw slope text between x800 y800 and x802 y802 
          "~slope text symbology" format=: number of decimal places = 1
      draw slope text between x802 y802 and x801 y801 
          "~slope text symbology" format=: number of decimal places = 1
      }
    _d_elev = abs(y802)
    draw skip to x802 y802
    draw skip dx=0.0 dy=2                             
    _s_elev = cvt_d_s2(_d_elev)             
    draw text value=_s_elev "~elevation text symbology"
       
    }

  }
