/* admin_over.x - Evaluates graphical elements to determine situation */
/*------------------------------------------------------------------------------------------------

  Add feature to draw sidewalk/multi use lane for shoulder section (C&G)  03/28/2011 	NPY 

  Called "shoulder_new.x" if no existing edge of pavement found   	     03/03/2013 NPY
		--> else if _d_edges = 0 or _d_exist = 0 then{}

----------------------------------------------------------------------------------------------------*/

if intersect dgn = "curb & gutter" then
  {
    	_d_sw_no_cg = 0	
    
    	include sc_cg_2ft.x

    	_d_draw_multi_use_lane = "draw sidewalk base layer"		/* Draw base layer and extend 0.5' */

    	if _d_draw_multi_use_lane = 1 then
		{	
    		include sc_multi_use_lane.x 					/* draw multi use lane behind 30:1 shoulder*/
		}
    	else
		{	
    		include sc_sw.x  
		}

    	include urban_tie.x 
  }
else if intersect dgn = "sidewalk" then
  {
	_d_sw_no_cg = 1	
    	include draw_pave_notch.x
    	include sc_sw_no_cg.x								/* draw multi use lane behind -12:1 shoulder*/
    	include rural_tie_sw.x 
  }
else if intersect dgn = "valley gutter" then
  {
    include sc_vg.x
    include urban_tie.x
  }
else if intersect dgn = "side street in dgn" then
  {
    include match_line.x
  }
else if _d_edges = 0 or _d_exist = 0 then
  {
    include shoulder_new.x
    include rural_tie.x
  }
else
  {
    include shoulder_over.x
    include rural_tie.x
  }



