// South Carolina DOT Criteria Control File
//
// RURAL-UNDIVIDED,OVERLAY,WIDENING,SLOPE CORRECTION(NO C&G)
@Template no.01
#control
#endcontrol
#Data
    Shape Cluster Left_roadway
     side slope left
          include std_vars.x                  
          include var_rur_over.x
          include pavement_over.x
          include admin_rur_over.x
          get match_line.x
          get shoulder_new.x
          get shoulder_over.x
          get rural_tie.x
	    get sc_typ01_rural_undivided.xd          

     side slope right
          include pavement_over.x
          include admin_rur_over.x

#EndData
@EndTemplate

//RURAL-DIVIDED,OVERLAY,WIDENING,SLOPE CORRECTION(NO C&G)
@Template no.02
#control
#endcontrol
#Data
    Shape Cluster Left_roadway
     side slope left
	   include std_vars.x                 
          include var_rur_over.x
          include pavement_over.x
          include admin_rur_over.x
          get match_line.x
          get shoulder_new.x
          get shoulder_over.x
          get rural_tie.x
	    get sc_typ02_rural_divided.xd
          
     side slope right
          include pavement_over.x
          include rur_med_over.x

    Shape Cluster Right_roadway
     side slope left
          include pavement_over.x
          include rur_med_over.x
          
     side slope right
          include pavement_over.x
          include admin_rur_over.x

#EndData
@EndTemplate

//URBAN-UNDIVIDED,OVERLAY,WIDENING,SLOPE CORRECTION(C&G,SW,VG,S.Street)
@Template no.03
#control
#endcontrol
#Data
    Shape Cluster Left_roadway
     side slope left
	   include std_vars.x                 
          include var_urb_over.x
          include pavement_over.x
          include admin_urb_over.x
          get sc_cg_2ft.x
          get sc_sw.x
          get sc_vg.x
          get match_line.x
          get urban_tie.x 
          get sc_typ03_urban_undivided.xd
          
     side slope right
          include pavement_over.x
          include admin_urb_over.x

#EndData
@EndTemplate

//URBAN-DIVIDED,OVERLAY,WIDENING,SLOPE CORRECTION(C&G,SW,VG,S.Street)
@Template no.04
#control
#endcontrol
#Data
    Shape Cluster Left_roadway
     side slope left
	   include std_vars.x                 
          include var_urb_over.x
          include pavement_over.x
          include admin_urb_over.x
          get sc_cg_2ft.x
          get sc_sw.x
          get urban_tie.x 
          get sc_vg.x
          get match_line.x

          get sc_multi_use_lane.x
          get shoulder_new.x
          get shoulder_over.x
          get sc_sw_no_cg.x
          get rural_tie.x
          get rural_tie_sw.x

          get sc_typ04_urban_divided.xd

          
     side slope right
          include pavement_over.x
          include admin_urb_med_over.x
          get med_over_2ft.x 
          get med_over_2_s.x 
          get med_over_1_5.x 
          get med_over_15s.x 
          get med_over_og.x 
          get med_over_915.x 

          

    Shape Cluster Right_roadway
     side slope left
          include pavement_over.x
          include admin_urb_med_over.x
          
     side slope right
          include pavement_over.x
          include admin_urb_over.x

#EndData
@EndTemplate

//Urban & Rural-UnDivided,Overlay,Widening,Slope Correction(C&G,SW,VG,S.Street)
@Template no.05
#control
#endcontrol
#Data
    Shape Cluster Left_roadway
     side slope left
	   include std_vars.x                 
          include var_over.x
          include pavement_over.x
          include admin_over.x
          get sc_cg_2ft.x
          get sc_sw.x
          get sc_vg.x
          get match_line.x
          get urban_tie.x 
          get shoulder_new.x
          get shoulder_over.x
          get rural_tie.x

          get rural_tie_sw.x
          get draw_pave_notch.x
          get sc_sw_no_cg.x
          get sc_multi_use_lane.x

          get sc_typ05_undivided.xd 
          
     side slope right
          include pavement_over.x
          include admin_over.x

#EndData
@EndTemplate

//Urban & Rural-Divided,Overlay,Widening,Slope Correction(C&G,SW,VG,S.Street)
@Template no.06
#control
#endcontrol
#Data
    Shape Cluster Left_roadway
     side slope left
	   include std_vars.x                 
          include var_over.x
          include pavement_over.x
          include admin_over.x
          get sc_cg_2ft.x
          get sc_sw.x
          get sc_vg.x
          get match_line.x
          get urban_tie.x 
          get shoulder_new.x
          get shoulder_over.x
          get rural_tie.x
          get sc_typ06_divided.xd
          
     side slope right
          include pavement_over.x
          include admin_med_over.x
          get med_over_2ft.x 
          get med_over_1_5.x 
          get med_over_og.x 
          get med_over_2_s.x 
          get med_over_15s.x 
          get med_over_915.x 
 
    Shape Cluster Right_roadway
     side slope left
          include pavement_over.x
          include admin_med_over.x

     side slope right
          include pavement_over.x
          include admin_over.x

#EndData
@EndTemplate

//URBAN-UNDIVIDED,OVERLAY,WIDENING,SLOPE CORRECTION(VG only)
@Template no.07
#control
#endcontrol
#Data
    Shape Cluster Left_roadway
     side slope left
	   include std_vars.x                 
          include var_urb_over.x
          include pavement_over.x
          include admin_urb_over.x
          get sc_cg_2ft.x
          get sc_sw.x
          get sc_vg.x
          get match_line.x
          get urban_tie.x 
          get sc_typ07_urban_vg.xd 
          
     side slope right
          include pavement_over.x
          include admin_urb_over.x

#EndData
@EndTemplate

//Rural-UnDivided Secondary Road, Overlay, Widening
@Template no.07c
#control
#endcontrol
#Data
    Shape Cluster Left_roadway
     side slope left
	   include std_vars.x                 
          include var_rur_c_over.x
          include pavement_over.x
          include admin_rur_c_over.x
          get match_line.x
          get shoulder_new.x
          get shoulder_over.x
          get rural_c_tie.x
	    get sc_typ07c_rural_c_over.xd          

     side slope right
          include pavement_over.x
          include admin_rur_c_over.x
#EndData
@EndTemplate

//Rural-UnDivided Secondary, Overlay, Widening, Variable Binder Thickness
@Template no.07d
#control
#endcontrol
#Data
    Shape Cluster Left_roadway
     side slope left
	    include std_vars.x                 
          include var_c_over_sp.x
          include pavement_c_over_sp.x
          include admin_rur_c_over.x
          get match_line.x
          get shoulder_new.x
          get shoulder_over.x
          get rural_c_tie.x
	    get sc_typ07d_c_over_sp.xd          

     side slope right
          include pavement_c_over_sp.x
          include admin_rur_c_over.x
#EndData
@EndTemplate

//RAMP - Interstate on & off ramp 
@Template no.08
#control
#endcontrol
#Data
    Shape Cluster Left_roadway
     side slope left
	   include std_vars.x                 
          include var_ramp.x
          include pavement_new.x
          include admin_ramp_new.x
          get sc_cg_2ft_new.x
          get sc_sw.x
          get match_line.x
          get ramp_tie.x 
          get shoulder_ramp.x
          get rural_tie.x
          get sc_typ08_ramp.xd 
          
     side slope right
          include pavement_new.x
          include admin_ramp_new.x

#EndData
@EndTemplate

//Interstate Widening-Median Barrier/Grass Median
@Template no.09
#control
#endcontrol
#Data
    Shape Cluster Left_roadway
     side slope left
   	include std_vars.x                 
        include var_over_int.x
        include pavement_over_int_left.x
        include admin_over_int.x
        get shoulder_over_int.x
        get match_line_int.x
        get rural_tie_int.x
        get sc_typ09_int_wid.xd 

     side slope right
        include pavement_over_int_left.x
        include admin_med_over_int.x 
        get med_int_barr.x
        get med_int_grass.x
        get int_med_over2.x 


    Shape Cluster Right_roadway
     side slope left
        include pavement_over_int_rt.x
        include admin_med_over_int.x
 
     side slope right
        include pavement_over_int_rt.x
        include admin_over_int.x
 
#EndData
@EndTemplate

//Interstate Resurfacing (Left & Right)
@Template no.10
#control
#endcontrol
#Data
    Shape Cluster Left_roadway
     side slope left
        include var_over_int.x
        include pavement_over_int_left.x
        include admin_over_int.x
        get shoulder_over_int.x
        get match_line_int.x
        get rural_tie.x
        get sc_typ09_int_wid.xd 

     side slope right
        include pavement_over_int_left.x
        include admin_med_over_int.x 
        get med_int_barr.x
        get med_int_grass.x


    Shape Cluster Right_roadway
     side slope left
        include pavement_over_int_rt.x
        include admin_med_over_int.x
 
     side slope right
        include pavement_over_int_rt.x
        include admin_over_int.x
 
#EndData
@EndTemplate

//Interstate Resurfacing (Left or Right)
@Template no.10a
#control
#endcontrol
#Data
    Shape Cluster Left_roadway
     side slope left
        include var_over_int.x
        include pavement_over_int_lf1.x
        include admin_over_int.x
        get shoulder_over_int.x
        get match_line_int.x
        get rural_tie.x
        get sc_typ09_int_wid.xd 

     side slope right
        include pavement_over_int_lf1.x
        include admin_med_over_int.x 
        get med_int_barr.x
        get med_int_grass.x


    Shape Cluster Right_roadway
     side slope left
        include var_over_int.x
        include pavement_over_int_rt1.x
        include admin_med_over_int.x
        get shoulder_over_int.x
        get match_line_int.x
        get rural_tie.x
        get sc_typ09_int_wid.xd 
 
     side slope right
        include pavement_over_int_rt1.x
        include admin_over_int.x
 
#EndData
@EndTemplate




//Rural-UnDivided,New Location
@Template no.31
#control
#endcontrol
#Data
    Shape Cluster Left_roadway
     side slope left
	   include std_vars.x                 
          include var_rur_new.x
          include pavement_new.x
          include admin_rur_new.x
          get match_line.x
          get shoulder_new.x
          get rural_tie.x
          get sc_typ31_rural_new_undivided.xd 
          
     side slope right
          include pavement_new.x
          include admin_rur_new.x

#EndData
@EndTemplate

//Rural-Divided,New Location
@Template no.32
#control
#endcontrol
#Data
    Shape Cluster Left_roadway
     side slope left
	   include std_vars.x                 
          include var_rur_new.x
          include pavement_new.x
          include admin_rur_new.x
          get match_line.x
          get shoulder_new.x
          get rural_tie.x
          get sc_typ32_rural_new_divided.xd 
          
     side slope right
          include pavement_new.x
          include rur_med_new.x

    Shape Cluster Right_roadway
     side slope left
          include pavement_new.x
          include rur_med_new.x
          
     side slope right
          include pavement_new.x
          include admin_rur_new.x

#EndData
@EndTemplate

//Urban-UnDivided,New Location
@Template no.33
#control
#endcontrol
#Data
    Shape Cluster Left_roadway
     side slope left
	   include std_vars.x                 
          include var_urb_new.x
          include pavement_new.x
          include admin_urb_new.x
          get sc_cg_2ft_new.x
          get sc_sw.x
          get urban_tie.x 
          get sc_vg.x
          get match_line.x
          get sc_typ33_urban_new_undivided.xd 
          
     side slope right
          include pavement_new.x
          include admin_urb_new.x

#EndData
@EndTemplate

//Urban-Divided,New Location
@Template no.34
#control
#endcontrol
#Data
    Shape Cluster Left_roadway
     side slope left
	   include std_vars.x                 
          include var_urb_new.x
          include pavement_new.x
          include admin_urb_new.x
          get sc_cg_2ft_new.x
          get sc_sw.x
          get urban_tie.x 
          get sc_vg.x
          get match_line.x 
          get sc_typ34_urban_new_divided.xd 
          
     side slope right
          include pavement_new.x
          include admin_urb_med_new.x
          get med_new_2ft.x 
          get med_new_2_s.x
          get med_new_1_5.x 
          get med_new_og.x 
          get med_new_915.x 


    Shape Cluster Right_roadway
     side slope left
          include pavement_new.x
          include admin_urb_med_new.x

     side slope right
          include pavement_new.x
          include admin_urb_new.x

#EndData
@EndTemplate

//Urban & Rural-UnDivided,New Location
@Template no.35
#control
#endcontrol
#Data
    Shape Cluster Left_roadway
     side slope left
	   include std_vars.x                 
          include var_new.x
          include pavement_new.x
          include admin_new.x
          get sc_cg_2ft_new.x
          get sc_sw.x
          get sc_vg.x
          get match_line.x
          get urban_tie.x 
          get shoulder_new.x
          get rural_tie.x
          get sc_typ35_new_undivided.xd 
          
     side slope right
          include pavement_new.x
          include admin_new.x

#EndData
@EndTemplate

//Urban & Rural-Divided,New Location
@Template no.36
#control
#endcontrol
#Data
    Shape Cluster Left_roadway
     side slope left
	   include std_vars.x                 
          include var_new.x
          include pavement_new.x
          include admin_new.x
          get sc_cg_2ft_new.x
          get sc_sw.x
          get sc_vg.x
          get match_line.x
          get urban_tie.x 
          get shoulder_new.x
          get rural_tie.x 
          get sc_typ36_new_divided.xd 
          
     side slope right
          include pavement_new.x
          include admin_med_new.x
          get med_new_2ft.x 
          get med_new_1_5.x 
          get med_new_og.x 
          get med_new_915.x 


    Shape Cluster Right_roadway
     side slope left
          include pavement_new.x
          include admin_med_new.x

     side slope right
          include pavement_new.x
          include admin_new.x

#EndData
@EndTemplate
//Rural-UnDivided Secondary Road, New Location
@Template no.37c
#control
#endcontrol
#Data

    Shape Cluster Left_roadway
     side slope left
	   include std_vars.x                 
          include var_rur_c_new.x
          include pavement_new.x
          include admin_rur_c_new.x
          get match_line.x
          get shoulder_new.x
          get rural_c_tie.x
          get sc_typ37c_rural_c_new.xd 
          
     side slope right
          include pavement_new.x
          include admin_rur_c_new.x

#EndData
@EndTemplate

//Find Critical Points For Widening & Relocation 
@Template no.60
#control
#endcontrol
#Data
    Shape Cluster Left_roadway
     side slope left
		include std_vars.x 
          	include find_cp.x 
          	get sc_typ60_find_cp.xd
#EndData
@EndTemplate

//Find Critical Points For Resurfacing & Slope Correction
@Template no.61
#control
#endcontrol
#Data
    Shape Cluster Left_roadway
     side slope left
	   include std_vars.x                 
          include find_cp_resurf.x
	    get sc_typ61_find_cp_resurf.xd
#EndData
@EndTemplate

//Lable Pavement Break Points and Pavement Slope-Undivided 
@Template no.62
#control
#endcontrol
#Data
    Shape Cluster Left_roadway
     side slope left
	   include std_vars.x                 
         include mark_pavement.x
	   get sc_typ62_mark_pave_undivided.xd
#EndData
@EndTemplate

//Lable Pavement Break Points and Pavement Slope-Divided 
@Template no.63
#control
#endcontrol
#Data
    Shape Cluster Left_roadway
     side slope left
          include std_vars.x                 
          include mark_pavement.x
	    get sc_typ63_mark_pave_divided.xd
    Shape Cluster Right_roadway
     side slope right
          include mark_pavement.x

#EndData
@EndTemplate

//Mark Elevation Differences and Pavement Slopes - Divided 
@Template no.63a
#control
#endcontrol
#Data
    Shape Cluster Left_roadway
     side slope left
          include std_vars.x                 
          include mark_pavement3.x
	    get sc_typ63a_mark_pave_divided.xd
    Shape Cluster Right_roadway
     side slope right
          include mark_pavement3.x

#EndData
@EndTemplate


//Mark Slopes on Existing pavement and paved shoulders using SE shapes 
@Template no.64
#control
#endcontrol
#Data
    Shape Cluster Left_roadway
     side slope left
          include std_vars.x                 
          include mark_expave_s1.x
	    get sc_typ64_mark_slopes_expav.xd
    Shape Cluster Right_roadway
     side slope right
          include mark_expave_s1.x

#EndData
@EndTemplate


//Draw Driveway Profile 
@Template no.65
#control
#endcontrol
#Data
    Shape Cluster Left_roadway
     side slope left
          include draw_dr_pro.x
	     get sc_typ65_draw_dr_pro.xd
     side slope right
          include draw_dr_pro.x

#EndData
@EndTemplate


// OVERLAY UNDIVIDED MATCH EXISTING NO SHAPES
@Template no.80 shapeless
#control
#endcontrol
#Data
    Shape Cluster Left_roadway
     side slope left
  	   include std_vars.x                 
         include match_pave.x
         get sc_typ80_overlay_undiv.xd


#EndData
@EndTemplate


// OVERLAY UNDIVIDED MATCH EXISTING & WIDENING (Shapeless)
@Template no.80a shapeless
#control
#endcontrol
#Data
    Shape Cluster Left_roadway
     side slope left
	   include std_vars.x                 
         include var_resurf_wid.x
         include match_pave_wid.x
          get shoulder_res_rt.x
          get shoulder_res_lf.x
          get rural_tie_res_lf.x
          get rural_tie_res_rt.x
	    get sc_typ80a_overlay_match_wid.xd

#EndData
@EndTemplate


// OVERLAY UNDIVIDED MATCH EXISTING & WIDENING C&G SW(Shapeless)
@Template no.80b shapeless
#control
#endcontrol
#Data
    Shape Cluster Left_roadway
     side slope left
	   include std_vars.x                 
         include var_res_wid_cg.x
         include match_wid_cg.x
          get sc_cg_2ft_rt.x
          get sc_cg_2ft_lf.x
          get sc_sw_rt.x
          get sc_sw_lf.x
          get urban_tie.x 
          get shoulder_res_rt.x
          get shoulder_res_lf.x
          get rural_tie_res_lf.x
          get rural_tie_res_rt.x
    get sc_typ80b_overlay_match_wid_cg.xd

#EndData
@EndTemplate


// OVERLALY DIVIDED MATCH EXISTING NO SHAPES
@Template no.81 shapeless
#control
#endcontrol
#Data
    Shape Cluster Left_roadway
     side slope left
	    include std_vars.x                 
          include match_pave.x
	    get sc_typ81_overlay_div.xd

#EndData
@EndTemplate

//Draw R/W (Shapeless)
@Template no.82 shapeless
#control
#endcontrol
#Data
    Shape Cluster Left_roadway
     side slope left
  	    include std_vars.x
          include exrow.x
	    get sc_typ82_draw_rw.xd

#EndData
@EndTemplate

//Draw Existing Subbase (Shapeless)
@Template no.83 shapeless
#control
#endcontrol
#Data
    Shape Cluster Left_roadway
     side slope left
		include std_vars.x
          	include exsubbase.x
	    	get sc_typ83_draw_subbase.xd

#EndData
@EndTemplate

//Draw Wetland (Shapeless)
@Template no.84 shapeless 
#control
#endcontrol
#Data
    Shape Cluster Left_roadway
     side slope left
  	    include std_vars.x
         include draw_wetland.x
	    get sc_typ84_draw_wetland.xd

#EndData
@EndTemplate

//Draw Roundabout (Shapeless)
@Template no.85 shapeless 
#control
#endcontrol
#Data
    Shape Cluster Left_roadway
     side slope left
  	    include std_vars.x
         include var_round.x
         include draw_roundabout.x
          get shoulder_round.x 
          get rural_tie_round.x 
          get sc_og_round.x
          get sc_sw_round.x 
          get sc_og_round2.x 
	     get sc_typ85_draw_roundabout.xd
#EndData
@EndTemplate

//Draw Landscaped Median (Shapeless)
@Template no.86 shapeless 
#control
#endcontrol
#Data
    Shape Cluster Left_roadway
     side slope left
  	    include std_vars.x
         include draw_LsMed.x
          get admin_urb_med_over_ns.x
          get med_over_2_ns.x  
          get med_over_15_ns.x  
          get med_over_og_ns.x 
          get med_over_2s_ns.x
          get med_over_15s_ns.x 
          get med_over_915_ns.x 
#EndData
@EndTemplate

//Draw trace top of pavement Shapeless)
@Template no.87 shapeless 
#control
#endcontrol
#Data
    Shape Cluster Left_roadway
     side slope left
  	    include std_vars.x
         include trace_pave.x
#EndData
@EndTemplate


