/* draw_LsMed.x - Trace pavement and draw Landscape median*/

/* ----------------------------------------------------------------------------------

   Sign convensions of slope and coordinate are based on side slope left  	 
			
														NPY  8/15/14  
------------------------------------------------------------------------------------- */

define_dgn "Proposed pavement in XS" \
	dgn = r39389b_dx.dgn \
	lvname=RD_XS_Pave \
	co = ByLevel

define_dgn  "EOP Median" \
     dgn = r39389b_pat2.dgn \
     lvname = RD_PD_NewEOP 

define "~new pavement symbology"   lvname=RD_XS_PaveOvlay   co=0 wt=6 
define "median curb type" 5
define "pavement thickness" 1.0

/*****************************************************************
This section of the file marks and labels each edge of pavement
*****************************************************************/

if p1 then
{
_d_stop = 0

mark x10 y10
draw skip trace in off=0 for dx=300

if intersect dgn = "EOP Median" then
   	{
     	_d_mcr_found = 1
	draw skip dx=1 dy=0 to "EOP Median" 
	mark x21 y21
	draw skip dx=2*tolerance dy=0
	draw skip dx=1 dy=0 to "EOP Median"
	mark x22 y22
     	_d_mcl_found = 1
	_d_med_width = abs(x22-x21) 
	if _d_med_width >= 0.01 then
		{
		_d_total_mc_found = 2
     		_d_mcl_found = 1
		}
	else
		{	
		_d_total_mc_found = 1
		}
	}
if _d_total_mc_found = 2 then
	{	
	draw skip to x10 y10
	draw skip dx = 0 dy = 50
	draw skip dx = 0 dy = -1 to XS "Proposed pavement in XS" 
	mark x100 y100
	draw skip trace "Proposed pavement in XS" in off=0 to endpoint  /* RT */
	mark x101 y101
	draw skip to x100 y100
	draw skip trace "Proposed pavement in XS" out off=0 to endpoint  /*LT*/
	mark x102 y102
/*
	_d_slope_rt = (y100 - y101)/abs(x100 - x101)*100
	_d_slope_lt = (y100 - y102)/abs(x100 - x102)*100
*/

	draw skip to x21 y21
	draw skip dx = 0 dy = 50
	draw skip dx = 0 dy = -1 to XS "Proposed pavement in XS" 
	mark x201 y201
	draw skip trace "Proposed pavement in XS" in off=0 for dx = 2 
	mark x301 y301
	draw skip to x201 y201
	set plot parameters "~new pavement symbology"
	draw trace "Proposed pavement in XS" in off=0 to x101 
	_d_slope_rt = (y201 - y301)/abs(x201 - x301)*100

	draw skip to x22 y22
	draw skip dx = 0 dy = 50
	draw skip dx = 0 dy = -1 to XS "Proposed pavement in XS" 
	mark x202 y202
	draw skip trace "Proposed pavement in XS" out off=0 for dx = 2 
	mark x302 y302
	draw skip to x202 y202
	set plot parameters "~new pavement symbology"
	draw trace "Proposed pavement in XS" out off=0 to x102 
	_d_slope_lt = (y202 - y302)/abs(x202 - x302)*100

/* Draw median curb (Right) */
	draw skip to x201 y201
	_d_mcr = 1
	_d_mcl = 0
	_d_pav_slope = _d_slope_rt 

    	include admin_urb_med_over_ns.x

/* Draw median curb (Left) */
	draw skip to x202 y202
	_d_mcr = 0
	_d_mcl = 1
	_d_pav_slope = _d_slope_lt 
    	include admin_urb_med_over_ns.x

	}
}



      







