/*----- Draw driveway profiles ------------------------------------------------------

draw_dr_pro.x
  
Description: Draw driveway profiles    				NPY 1/13/2017
 
 
Mark Points:	 Left 	P1-P2-P3
			 Right 	P3-P2-P1  

----------------------------------------------------------------------------------------------*/
/*********************** define draw_dr_pro subroutine ********************************/
subroutine draw_dr_pro
{
	_d_slope_cut = 20 : 1			/* Cut 	5%  */
	_d_slope_fill = 33.3 : -1		/* Fill   -3%  */
	_d_slope_fill_5 = 20 : -1		/* Fill2   -5%  */

    	if intersect dgn = "draw driveway profile on shoulder section" then
	  	{
    		set plot parameters "~driveway profile symbology" CO=2
		draw skip to p1
		mark x100 y100
		draw slope = -1 * PAVEMENT SLOPE  for dx = 30
		mark x101 y101		
		draw slope = _d_slope_cut for dx = 70
		mark x102 y102
		draw skip to p1
    		set plot parameters "~driveway profile symbology" CO=6
		draw slope = _d_slope_fill for dx = 100
		mark x103 y103

		/* LABEL SLOPES & Elevation*/
          draw slope text between x100 y100 and x101 y101 "~vp slope text symbology" CO=2
          draw slope text between x101 y101 and x102 y102 "~vp slope text symbology" CO=2
          draw slope text between x100 y100 and x103 y103 "~vp slope text symbology" CO=6

		}
	else if intersect dgn = "draw driveway profile on CG section" then   
		{
		_d_cut_slope = 0
		_d_fill_slope = 0
    		set plot parameters "~driveway profile symbology" 
		if PAVEMENT SLOPE >= 0.00 then  /* cg at the LOW side of the roadway */
			{
			draw skip slope = 17 : -1 for dx = 1.417   /* dx=1.417=17" dy=-1" */                       
			mark x200 y200
			}
		else if PAVEMENT SLOPE < 0.00 then /* cg at the HIGH side of the roadway */
			{
			draw skip slope = 17 : 1 for dx = 1.417    
			mark x200 y200
			}		                      
		draw slope = 10:1 for dx = 2.5
		mark x201 y201
		draw slope = 50:1 for dx = 3
		mark x202 y202

        					/* IF YOU ARE IN CUT */        	
		if elevation difference at x202 y202 < 0 then
          		{
			_d_cut_slope = 1
			draw skip slope = _d_slope_cut to existing ground
			mark x213 y213
			draw skip to x202 y202
			if abs(x202 - x213) < tolerance then  
				{
  				draw skip dx=0 dy=50
  				draw skip dx=0 dy=-1 to exist ground
    				draw skip trace out off=0 for dx = 1000    
				mark x209 y209
				draw skip to x202 y202
				draw slope = _d_slope_cut to x209
				}
			else
				{
				draw slope = _d_slope_cut to existing ground
				}
			mark x204 y204
			}
		else 
			{	
			_d_fill_slope = 1
			draw skip slope = _d_slope_fill to existing ground
			mark x213 y213
			draw skip to x202 y202
			draw skip slope = _d_slope_fill_5 to existing ground
			mark x215 y215
			draw skip to x202 y202

			if abs(x202 - x213) < tolerance then  
				{
  				draw skip dx=0 dy=50
  				draw skip dx=0 dy=-1 to exist ground
    				draw skip trace out off=0 for dx = 1000    
				mark x209 y209
				draw skip to x202 y202
				draw slope = _d_slope_fill to x209 
				mark x204 y204
				}
			else
				{
				draw slope = _d_slope_fill to existing ground
				mark x204 y204
				}
			if abs(x202 - x215) < tolerance then  
				{
    				set plot parameters "~driveway profile symbology" CO=24
				draw skip to x202 y202
  				draw skip dx=0 dy=50
  				draw skip dx=0 dy=-1 to exist ground
    				draw skip trace out off=0 for dx = 1000    
				mark x209 y209
				draw skip to x202 y202
				draw slope = _d_slope_fill_5 to x209 
				mark x205 y205
				}
			else
				{
    				set plot parameters "~driveway profile symbology" CO=24
				draw skip to x202 y202
				draw slope = _d_slope_fill_5 to existing ground 
				mark x205 y205
				}
			}


		/* LABEL SLOPES & Elevation*/
          	draw slope text between x200 y200 and x201 y201 "~vp slope text symbology" 
          	draw slope text between x201 y201 and x202 y202 "~vp slope text symbology" 
          	draw slope text between x202 y202 and x204 y204 "~vp2 slope text symbology" 
	    	if (_d_fill_slope = 1) then  
			{
          		draw slope text between x202 y202 and x205 y205 "~vp2 slope text symbology" CO=24 offset=-0.8
			}
		}
}
end subroutine 

/*************************************************************************/
define  "~Slope Text05"  ft=23 th=0.5 tw=0.5 just=cb offset=.1 format=% number of decimal places = 0
define  "~Slope Text07" ft=23 th=0.7 tw=0.7 just=cb offset=.2 format=% number of decimal places = 0

define_dgn "draw driveway profile on shoulder section" \
       dgn = ****.dgn \
       lvname=RD_PD_SideStreet \
	  co = ByLevel 

define_dgn "draw driveway profile on CG section" \
       dgn = ****.dgn \
       lvname=RD_PD_FOC \
	  co = ByLevel 

define "~driveway profile symbology"   lvname=RD_Sketch2_Profile co=14 lc=0 wt=2
define "~vp slope text symbology"  lvname=RD_Sketch2  "~Slope Text05" co=14
define "~vp2 slope text symbology"  lvname=RD_Sketch2  "~Slope Text07" co=14


if p1 then
{
     	remove skew effect 
     	_d_total_pmp = number of pavement points
	if px1 < px2 then
 		{	
		call subroutine draw_dr_pro
 		}
	else 
 		{
		call subroutine draw_dr_pro
 		}	
} 
