/*  	draw_roundabout.x (shapeless)    */
/*----------------------------------------------------------------------------------------    
 	Draws roundabout, OG curbs, and concrete pavement  

*** Sign convensions of slope and coordinate are based on side slope left  ***   


	_d_slope_lf = 48:1 
	_d_slope_rt = 48:-1 

	draw skip slope = _d_slope_lf for dx= "pavement width left" 	
	draw skip slope = _d_slope_rt for dx= -1 * "pavement width right" 	

	x220 y220 to be used in sc_og_round.x  To extend base+binder#2 for 1.5' 			

														NPY  8/23/2013
----------------------------------------------------------------------------------------*/

/*****************************************************************
This section of the file marks and labels each edge of pavement
*****************************************************************/

if p1 then
	{
	remove skew effect 
	_d_slope_lf = 48:1
	_d_slope_rt = 48:-1

	mark x100 y100
	_d_ex_ground_found = 0
  	draw skip dx=0 dy=50
  	mark x901 y901
  	draw skip dx=0 dy=-1 to exist ground
	mark x902 y902

	if abs(y901-y902) < 2*tolerance  then
		{
		_d_ex_ground_found = 0		/* existing ground NOT found */		
		}
	else
		{
		_d_ex_ground_found = 1		/* existing ground found */
		}	
	draw skip to x100 y100
	}

if _d_ex_ground_found = 1 then
	{
    	draw skip trace in off=0 for dx = 300    /* Left */
	mark x500 y500
    	draw skip trace out off=0 for dx = 300    /* Right */
	mark x501 y501
    	draw skip to x100 y100          
	draw skip slope = _d_slope_lf for dx= "pavement width left" 	
     	mark x200 y200  			/*  mark proposed edge of travel lane left */

    	draw skip to x100 y100
	draw skip slope = _d_slope_rt for dx= -1 * "pavement width right" 	
	mark x201 y201  			/*  mark proposed edge of travel lane right */
          
/* Draw Pavement */
 	set plot parameters "~pavement symbology"
	draw to x100 y100 
	draw to x200 y200
	draw slope text between x200 y200 and x201 y201 "~slope text symbology" co=4 FORMAT=run:rise 

   	set plot param "~base symbology" 
	draw skip to x201 y201
	draw skip dx=0 dy=-abs("pavement thickness")

	draw slope = _d_slope_lf to x200
	mark x220 y220

/* Right Side*/
 	draw skip to x201 y201 
	include shoulder_round.x
	include rural_tie_round.x

 	draw skip to x200 y200 

/* Draw og curb #1 & inprinted concrete pavement */
	include sc_og_round.x
	include sc_sw_round.x

/* Draw og curb #2  */
	include sc_og_round2.x
   	set plot parameters "~greenside symbology"
	draw dx=24 dy=1
  	draw dx=0 dy=-1 to exist ground
	}
