/*****Plots proposed and existing R/W *********************************************

draw_row.x
  
Description: Plots proposed and existing row onto cross sections.
 
Requirements: 1. Run as shapeless criteria
              2. Run as Side Slope Lt ONLY or run as Side
                 Slope Rt ONLY.

Change to level names						NPY  4/18/06	

***********************************************************************************/

define_dgn "proposed rw in dgn" \
       dgn = ****.dgn \
       lvname=RD_PD_RW 

define_dgn "existing rw in dgn" \
       dgn = ****.dgn \
       lvname=RD_EX_RW 

define "distance above ground" 1

if p1 then
  {
    draw skip trace in off=0 for dx = 1000
    while intersect dgn = "proposed rw in dgn"
      {
         draw skip trace out off="distance above ground" to "proposed rw in dgn"
	   mark x1 y1
         set plot parameters "~new r/w line symbology"
         draw dx=0 dy=6
         draw dx=0 dy=-3
         draw skip dx=.25 dy=0
         draw text char=^NEW R/W ^ "~new r/w line text symbology" 
	   draw skip to x1 y1 
         draw skip dx = 2*tolerance dy = 0
      }

    draw skip trace in off=0 for dx = 1000
    while intersect dgn = "existing rw in dgn"
      {
         draw skip trace out off="distance above ground" to "existing rw in dgn"
	   mark x1 y1
         set plot parameters "~existing r/w line symbology"
         draw dx=0 dy=6
         draw dx=0 dy=-3
         draw skip dx=.25 dy=0
         draw text char=^EX. R/W ^ "~existing r/w line text symbology"
	   draw skip to x1 y1 
         draw skip dx = 2*tolerance dy = 0
      }
   }
 