/*----- Plots Wetland ------------------------------------------------------

draw_wetland.x
  
Description: Mark existing wetline boundary onto cross sections.   NPY 2/21/2013
 
Requirements: 1. Run as shapeless criteria
              2. This file should be run from side slope lt only
 
Mark Points:	 501(EGL)-100(CL)-500(EGR)-499

----------------------------------------------------------------------------------------------*/


define_dgn "existing wetland boundary in dgn" \
       dgn = ****.dgn \
       lvname=RD_EX_H2O_WetLd

define "~distance below ground" -2
define "~offset right from ex_ground" -50

if p1 then
	{
     	remove skew effect 
	mark x100 y100
	_d_ex_ground_found = 0
  	draw skip dx=0 dy=50
  	mark x901 y901
  	draw skip dx=0 dy=-1 to exist ground
	mark x902 y902

	if abs(y901-y902) < 2*tolerance  then
		{
		_d_ex_ground_found = 0		/* existing ground NOT found */		
		}
	else
		{
		_d_ex_ground_found = 1		/* existing ground found */
		}	
	draw skip to x100 y100
	}

if _d_ex_ground_found = 1 then
{
	_d_wl_int_counter = 0  
 	_d_wl_rt_counter = 0  
 	_d_wl_lt_counter = 0  

    	draw skip trace in off=0 for dx = 1000    
	mark x500 y500
    	draw skip trace out off=0 for dx = 1000    
	mark x501 y501

    	draw skip to x500 y500
	draw skip dx = "~offset right from ex_ground" dy = 0     /* locate W/L outside ex_ground on right */
	mark x499 y499
    	set plot parameters "~existing wetland symbology"

	/*  mark wetland lines X1 - X10 */

    	if intersect dgn = "existing wetland boundary in dgn" then
	  {
	   _d_wl_int_counter = 1 	

	  while intersect dgn = "existing wetland boundary in dgn"
      	{
		draw skip dx = 1 dy = 0 to "existing wetland boundary in dgn"
	  	mark x101 y101

		If x101 >= x501 and x101 <= x500 then
			{
  			draw skip dx=0 dy=50
  			draw skip dx=0 dy=-1 to exist ground
	  		mark x101 y101
			If x101 >= x100 and x101 <= x500 then        /* W/L found inside(100)CL - (500)EGR */
		  		{
                	_d_wl_rt_counter = _d_wl_rt_counter + 1
          			mark x[_d_wl_int_counter] y[_d_wl_int_counter]
		  		}

			If x101 >= x501 and x101 < x100 then         /* W/L found inside (501)EGL - (100)CL */
		  		{
                	_d_wl_lt_counter = _d_wl_lt_counter + 1
          			mark x[_d_wl_int_counter] y[_d_wl_int_counter]
		  		}
                _d_wl_int_counter = _d_wl_int_counter + 1
 
      		draw skip dx=0 dy="~distance below ground"
			}
		else
			{
			draw skip dx=0 dy= "~distance below ground"  /* no ex. ground --> use y101 elev*/  
			}
         	draw dx=0 dy=-8
         	draw skip dx=0.25 dy=3
         	draw text char=^Wetland ^ "~existing wetland text symbology"
	   	draw skip to x101 y101 

   		/* DRAW Wetland symbol */

   		draw dx=-0.5 dy=1
   		draw dx=1 dy=0
   		draw dx=-0.5 dy=-1

   		draw skip dx=1 dy=-0.25
   		draw dx=-2 dy=0
   		draw skip to x101 y101
   		draw skip dx=0.75 dy=-0.5
   		draw dx=-1.5 dy=0
   		draw skip to x101 y101
   		draw skip dx=0.5 dy=-0.75
   		draw dx=-1 dy=0
   		draw skip to x101 y101 

         	draw skip dx = 2*tolerance dy = 0
      	}
           _d_wl_int_counter = _d_wl_int_counter - 1
	  }
 }
 