/*****Plots proposed and existing R/W *********************************************

draw_row.x
  
Description: Plots proposed and existing row onto cross sections.
 
Requirements: 1. Run as shapeless criteria
              2. Run as Side Slope Lt ONLY or run as Side
                 Slope Rt ONLY.

Change to level names						NPY  4/18/06	

Change text notes to "NEW R/W" and "EX. R/W" 				NPY  2/6/2012		
Change "~new r/w line text symbology" & "~existing r/w line text symbology" to use ts=.75 

Check if exisitng grpound found							NPY  6/15/2012
		_d_ex_ground_found = 1
		
		draw skip dx=0 dy=50
  		draw skip dx = 0 dy=-1 to exist ground

Mark r/w outside the exisitng ground line 					NPY  	7/9/2012
		draw skip dx = 1 dy = 0 to "proposed rw in dgn"
	  	mark x1 y1
		If x1 >= x501 and x1 <= x500 then
              
***********************************************************************************/

define_dgn "proposed rw in dgn" \
       dgn = ****.dgn \
       lvname=RD_PD_RW 

define_dgn "existing rw in dgn" \
       dgn = ****.dgn \
       lvname=RD_EX_RW 

define "distance above ground" 1

if p1 then
	{
	mark x900 y900
	_d_ex_ground_found = 0
  	draw skip dx=0 dy=50
  	mark x901 y901
  	draw skip dx=0 dy=-1 to exist ground
	mark x902 y902

	if abs(y901-y902) < 2*tolerance  then
		{
		_d_ex_ground_found = 0		/* existing ground NOT found */		
		}
	else
		{
		_d_ex_ground_found = 1		/* existing ground found */
		}	
	draw skip to x900 y900
	}

if _d_ex_ground_found = 1 then
  {
    
    	draw skip trace in off=0 for dx = 1000    
	mark x500 y500
    	draw skip trace out off=0 for dx = 1000    
	mark x501 y501

    	draw skip to x500 y500
    	set plot parameters "~new r/w line symbology"
    	while intersect dgn = "proposed rw in dgn"
      	{
		draw skip dx = 1 dy = 0 to "proposed rw in dgn"
	  	mark x1 y1

		If x1 >= x501 and x1 <= x500 then
			{
  			draw skip dx=0 dy=50
  			draw skip dx=0 dy=-1 to exist ground
         		draw skip dx=0 dy="distance above ground"
			}
		else
			{
			draw skip dx=0 dy=y900-y1+	"distance above ground"	/* no ex. ground --> use CL elev*/  
			}
         	draw dx=0 dy=7
         	draw skip dx=0.25 dy=-3
         	draw text char=^NEW R/W ^ "~new r/w line text symbology" 
	   	draw skip to x1 y1 
         	draw skip dx = 2*tolerance dy = 0
      	}

    draw skip trace in off=0 for dx = 1000


    set plot parameters "~existing r/w line symbology"
    while intersect dgn = "existing rw in dgn"
      	{
		draw skip dx = 1 dy = 0 to "existing rw in dgn"
	   	mark x1 y1

		If x1 >= x501 and x1 <= x500 then
			{
  			draw skip dx=0 dy=50
  			draw skip dx=0 dy=-1 to exist ground
         		draw skip dx=0 dy="distance above ground"
			}
		else
			{
			draw skip dx=0 dy=y900-y1+	"distance above ground"	/* no ex. ground --> use CL elev*/  
			}

         	draw dx=0 dy=7
         	draw skip dx=.25 dy=-3
         	draw text char=^EX. R/W ^ "~existing r/w line text symbology"
	   	draw skip to x1 y1 
         	draw skip dx = 2*tolerance dy = 0
      	}
   }
 