/* Draws shoulders and median ditch */
/*----------------------------------------------------------------------------------------

	Add option to control median ditch slope				4/3/2009	NPY

------------------------------------------------------------------------------------------*/

/* IF YOU ARE ON THE LEFT SIDE OF THE MEDIAN */
if px1 > px2 and median width > 0 then
  {
   if PAVEMENT SLOPE < 0.00 then
   /* SE  high side */
   { 
     set plot parameters "~greenside symbology"
     mark x1 y1
     draw slope = -1 * PAVEMENT SLOPE for dx ="median earth SHOULDER WIDTH" 
     mark x3 y3
     draw skip to x1 y1
     /* NOTCH */
     set plot parameters "~pavement symbology"
     draw skip dx=0 dy=-abs("pavement thickness left")
     mark x90 y90
     if x90 < x501 or x90 > x500 then
       {
         draw slope = -pavement slope for dx=.5
         draw dx=0 dy="base thickness left"
         draw slope = pavement slope to x1
         draw to x1 y1
         draw skip to x3 y3
       }
     else
       {
         draw skip to x1 y1
         draw dx=0 dy=-1 to existing ground
         draw skip to x3 y3
       }
   }
   else
   {
     /* Draw shoulder (12:1) */
     set plot parameters "~greenside symbology"
     mark x1 y1
     _d_sh_slope = "shoulder slope"
     draw slope = _d_sh_slope:-1 for dx = "median earth shoulder width"
     mark x3 y3
     draw skip to x1 y1
     /* NOTCH */
     set plot parameters "~pavement symbology"
     draw skip dx=0 dy=-abs("pavement thickness left")
     mark x90 y90
     if x90 < x501 or x90 > x500 then
       {
         draw slope = -pavement slope for dx=.5
         draw dx=0 dy="base thickness left"
         draw slope = pavement slope to x1
         draw to x1 y1
         draw skip to x3 y3
       }
     else
       {
         draw skip to x1 y1
         draw dx=0 dy=-1 to existing ground
         draw skip to x3 y3
       }
   }
   mark x800 y800
  }

/* ELSE IF YOU ARE ON THE RIGHT SIDE OF THE MEDIAN */
else if px1 < px2 and median width > 0 then
  {
   /* DRAW SHOULDER */
   if PAVEMENT SLOPE < 0.00 then
   /* SE  high side */
   { 
     set plot parameters "~greenside symbology"
     mark x1 y1
     draw slope = -1 * PAVEMENT SLOPE for dx ="median earth SHOULDER WIDTH" 
     mark x3 y3
     draw skip to x1 y1
     /* NOTCH */
     set plot parameters "~pavement symbology"
     draw skip dx=0 dy=-abs("pavement thickness right")
     mark x90 y90
     if x90 < x501 or x90 > x500 then
       {
         draw slope = -pavement slope for dx=.5
         draw dx=0 dy="base thickness right"
         draw slope = pavement slope to x1
         draw to x1 y1
         draw skip to x3 y3
       }
     else
       {
         draw skip to x1 y1
         draw dx=0 dy=-1 to existing ground
         draw skip to x3 y3
       }
   }
   else
   {
     /* Draw shoulder (12:1) */
     mark x1 y1
     set plot parameters "~greenside symbology"
     _d_sh_slope = "shoulder slope"
     draw slope = _d_sh_slope:-1 for dx = "median earth shoulder width"
     mark x3 y3
     draw skip to x1 y1
     /* NOTCH */
     set plot parameters "~pavement symbology"
     draw skip dx=0 dy=-abs("pavement thickness right")
     mark x90 y90
     if x90 < x501 or x90 > x500 then
       {
         draw slope = -pavement slope for dx=.5
         draw dx=0 dy="base thickness right"
         draw slope = pavement slope to x1
         draw to x1 y1
         draw skip to x3 y3
       }
     else
       {
         draw skip to x1 y1
         draw dx=0 dy=-1 to existing ground
         draw skip to x3 y3
       }
   }
    mark x801 y801
    /* CHECK TO SEE WHICH SIDE OF MEDIAN IS HIGHER. Draw 6:1 from lower side*/
    if y800 >= y801 then            /* left side higher */
      {
        draw skip to x801 y801
        		draw skip slope = 6:-1 for dx=20
        		mark x805 y805
        		draw skip to x800 y800
   			draw skip slope = -6:-1 to intersection x801 y801 x805 y805
        mark x802 y802
        draw to x801 y801
	  draw skip to x802 y802 
     	  draw text char=^DB^ "~XS Ditch text symbology" 
	  draw skip to x802 y802 
        draw to x800 y800
      }
    else					/* right side higher */
      {
        draw skip to x800 y800
        		draw skip slope = -6:-1 for dx=20
        		mark x805 y805
        		draw skip to x801 y801
   			draw skip slope = 6:-1 to intersection x800 y800 x805 y805
        mark x802 y802
        draw to x800 y800
	  draw skip to x802 y802 
     	  draw text char=^DB^ "~XS Ditch text symbology" 
	  draw skip to x802 y802 
        draw to x801 y801
      }

    /* LABEL SLOPES */
    draw slope text between x800 y800 and x802 y802 
      "~slope text symbology" format=:
    draw slope text between x802 y802 and x801 y801 
      "~slope text symbology" format=:
  }



