/* Mark Elevation Differences and Pavement Slopes */
/* ----------------------------------------------------------------------------
   Place elevation text at the pavement breaks 

WRITTEN: 09-2000

MODIFIED:

Change to level names							NPY  4/25/06	

Include definitions: in std_vars.x:					NPY  4/25/06
		"~critical point CL text symbology" 
		"~critical surface symbology"
		"~slope text symbology" 
		"~warning text symbology"
		"~XS notes line symbology"
		"~XS notes text symbology"
		"~existing EOP text symbology" 

Mark  Elevation Difference and Pavement Slope			NPY  5/29/08
----------------------------------------------------------------------------- */
define "mark slope" 0
define "skip pavement break no"  0 


/* THE PAVEMENT LAYERS ARE ALL DRAWN FROM THE LEFT SIDE */
if p1 then
	{
     	remove skew effect
     	/* SET UP VARIABLES */
     	_d_counter = 1
     	_d_total_pmp = number of pavement points
	_d_mark_slope = "mark slope"
	_d_skip_pave_break = "skip pavement break no" 

     	/* MARK ALL BREAKS IN THE PAVEMENT */
     	while _d_counter <= _d_total_pmp
       	{
         	draw skip to p[_d_counter]
         	mark x[_d_counter] y[_d_counter]
         	_d_counter = _d_counter + 1
       	}

  	/* LABEL PAVEMENT SLOPES and Elevation */ 

  	if p1 then
    		{
  		if _d_mark_slope > 0 then
			{
			_d_counter = 1
      		while _d_counter < _d_total_pmp
        			{	
          			draw slope text between x[_d_counter] y[_d_counter] 
                        	              and x[_d_counter+1] y[_d_counter+1]
            	           		"~slope text symbology" format=/
      			_d_counter = _d_counter + 1
        			}
			} 
	     	_d_counter = 1
      	while _d_counter <= _d_total_pmp
        		{
			if not _d_counter = _d_skip_pave_break then              /* Bypass PGL  */
				{ 
				draw skip to x[_d_counter] y[_d_counter] 
	    			_s_dE = "  " + cvt_d_s2(el diff)
				draw text value=_s_dE "~elevation text symbology" th=0.8 tw=0.8 
				if px1 < px2 then       /* side slope left */
  					{		
					_s_ep_no = "EPL"+ cvt_d_s0(_d_counter)
					}
				else 
  					{		
					_s_ep_no = "EPR"+ cvt_d_s0(_d_counter)
					}		
       			draw text value=_s_ep_no "~existing EOP text symbology" 
				}
			_d_counter = _d_counter + 1
			}
		}   
  draw skip to p1
  }

        
