/* Draws overlay and milling by matching existing pavement */

/* ----------------------------------------------------------------------------------

draw skip trace in off=0 for dx=300                   	NPY  9/28/01  

Change to level names							NPY  4/25/06	

Include definitions: in std_vars.x:					NPY  4/25/06
		"~pavement symbology" 
		"~milling symbology"
		"~warning text symbology" 
------------------------------------------------------------------------------------- */

define_dgn "existing edge of travel lane" \
	dgn = ****.dgn \
	lvname=RD_EX_Road

define "overlay thickness" .5
define "milling thickness" 0

/*****************************************************************
This section of the file marks and labels each edge of pavement
*****************************************************************/

if p1 then
{
_d_stop = 0
_d_eop_intersection = 0
_d_eop_intersection_counter = 1


draw skip trace in off=0 for dx=300
mark x900 y900

/*  mark  EXISTING EDGES OF PAVEMENT  X1 - X19 */

     if intersect dgn = "existing edge of travel lane" then
          {
          _d_eop_intersection = 1
          _d_eop_intersection_counter = 1
          while intersect dgn = "existing edge of travel lane"
               {
               draw skip dx = 1 dy = 0 to "existing edge of travel lane"
               draw skip dx = 0 dy = 50
               draw skip dx = 0 dy = -1 to exist ground
               mark x[_d_eop_intersection_counter] y[_d_eop_intersection_counter]
               _d_eop_intersection_counter = _d_eop_intersection_counter + 1
               draw skip dx = (2 * tolerance) dy = 0
               }
          }
     _d_eop_intersection_counter = _d_eop_intersection_counter - 1
          

/*********************************************************************************
Check for odd number of edges of pavement and issue error message
**********************************************************************************/

_d_temp = _d_eop_intersection_counter / 2
_d_temp_int = INT(_d_temp)

if _d_temp > _d_temp_int then
  {
  draw skip to xpgl ypgl
  draw text char=^Irregular Pavement Found^ "~warning text symbology"
  _d_stop = 1
  }

}

/***************************************************************************************
This while loop loops over each of the edge of pavement pairs and draws the existing
pavement and shoulder subbase
****************************************************************************************/

if _d_stop = 0  then

   {
   _d_admin_counter = 1
   _d_median = 0
   while (_d_admin_counter < _d_eop_intersection_counter)
      {
      _d_global_counter = _d_admin_counter
      
/***************************************************************************
This section draws the existing pavement subbase
***************************************************************************/

 if p1 then
   {
   _d_rt_eop = _d_global_counter

   /* Draw Pavement */
   set plot parameters "~pavement symbology"
   draw skip to x[_d_rt_eop] y[_d_rt_eop]
   draw dx = 0 dy = abs("overlay thickness")
   mark x300 y300
   draw trace out off = abs("overlay thickness") to x[_d_rt_eop+1]
   mark x301 y301
   draw dx = 0 dy = -1 to existing ground

   /* Draw Milling */
   set plot parameters "~milling symbology"
   draw skip to x[_d_rt_eop] y[_d_rt_eop]
   draw dx=0 dy=-abs("milling thickness")
   mark x302 y302
   draw trace out off=-abs("milling thickness") to x[_d_rt_eop+1]
   mark x303 y303
   draw dx=0 dy=1 to existing ground

   /* TIE TO GROUND */
   set plot parameters "~pavement symbology"
   draw skip to x300 y300
   if elev diff > 0 then
     {
       draw slope = -2:-1 to existing ground
     }
   else
     {
       draw slope = -2:1 to existing ground
     }
   draw skip to x301 y301
   if elev diff > 0 then
     {
       draw slope = 2:-1 to existing ground
     }
   else
     {
       draw slope = 2:1 to existing ground
     }

   }  
         



/***************************************************************
Reset the counter and go to the next pair of eop's
/***************************************************************/
         
      _d_admin_counter = _d_admin_counter + 2
     }
   }



      







