/* Draws shoulders and median barrier wall */

/* IF YOU ARE ON THE LEFT SIDE OF THE MEDIAN */
if px1 > px2 and median width > 0 then
  	{
   	mark x201 y201
      draw skip dx=0 dy=-abs("pavement thickness left")
      mark x211 y211
      draw skip to x201 y201
   	if pavement slope > 0.00 then
     	/* normal section */
      	{ 
       	draw  skip slope = 24:-1 to "median barrier wall centerline" 
       	mark x305 y305
		draw skip slope = -24:1  for dx = "barrier wall base width"/2 
       	mark x301 y301
            /*  draw shoulder */
		draw skip to x201 y201
       	set plot param "~paved shoulder symbology"
		draw to x301 y301
            /*  draw shoulder base  */
       	set plot param "~base symbology"
       	draw skip dx=0 dy=-abs("pavement thickness left")
       	mark x311 y311
		draw to x211 y211
		draw skip to x301 y301
      	}  
   	else
     /* SE  high side */
      	{
		draw skip slope = -1*pave slope to "median barrier wall centerline" 
       	mark x305 y305		
		draw skip slope = pave slope for dx = -1*"barrier wall base width" / 2.0
       	mark x301 y301
            /*  draw shoulder */
		draw skip to x201 y201
       	set plot param "~paved shoulder symbology"
		draw to x301 y301
            /*  draw shoulder base  */
       	set plot param "~base symbology"
       	draw skip dx=0 dy=-abs("pavement thickness left")
       	mark x311 y311
		draw to x211 y211
		draw skip to x301 y301
      	}
  	}
/* ELSE IF YOU ARE ON THE RIGHT SIDE OF THE MEDIAN */

else if px1 < px2 and median width > 0 then
  	{
   	mark x202 y202
   	draw skip dx=0 dy=-abs("pavement thickness right")
   	mark x212 y212
   	draw skip to x202 y202

   	if pavement slope > 0.00 then
     	/* normal section */
     		{ 
      	draw  skip slope = 24:-1 to "median barrier wall centerline" 
      	mark x306 y306
		draw skip slope = -24:1 for dx = "barrier wall base width"/2
      	mark x302 y302

      	draw  skip slope = 24:-1 to x301 
      	draw skip dx=0 dy=-abs("pavement thickness right")
      	mark x307 y307

            /*  draw shoulder */
		draw skip to x202 y202
      	set plot param "~paved shoulder symbology"
		draw to x302 y302
     		}
   	else
     	/* SE  high side */
     		{
     		draw skip slope = -1*pave slope to "median barrier wall centerline" 
		mark x306 y306
		draw skip slope = pave slope for dx = -1*"barrier wall base width" / 2.0
      	mark x302 y302

      	draw  skip slope = -1*pave slope to x301 
      	draw skip dx=0 dy=-abs("pavement thickness right")
      	mark x307 y307

            /*  draw shoulder */
		draw skip to x202 y202
      	set plot param "~paved shoulder symbology"
		draw to x302 y302
     		}
      /* connect an extra line for xs report  */
	if p1 then
	{
      	set plot param "~xs closure symbology"
		draw to x301 y301
		draw skip to x302 y302
	}
   	/*determine the enbeded depth for wall footing */
   	IF abs(Y306 - Y305) <= 2.5 THEN                    /* TYPE 11A */
     		{ 
      	_d_emb_depth = "barrier minimum enbeded depth"    /* Use surface depth or 1' */ 
      	_d_emb_length = 0.0     
		_s_barr_type = "TYPE 11A Barrier Wall "                         
     		}
   	else if abs(Y306 - Y305) <= 4 THEN                 /* TYPE 11B */
     		{ 
		_d_emb_depth = 1.0                              
		_d_emb_length = 1.5                              
		_s_barr_type = "TYPE 11B Barrier Wall "                         
     		}
   	else if abs(Y306 - Y305) <= 6 THEN                 /* TYPE 12 */
     		{ 
 		_d_emb_depth = 1.0                              
 		_d_emb_length = 3.5                              
		_s_barr_type = "TYPE 12 Barrier Wall "                         
     		}
   	else if abs(Y306 - Y305) <= 8 THEN                 /* TYPE 13 */
     		{ 
		_d_emb_depth = 1.25                              
		_d_emb_length = 5                              
		_s_barr_type = "TYPE 13 Barrier Wall "                         
     		}
   	else if abs(Y306 - Y305) <= 10 THEN                 /* TYPE 14 */
     		{ 
		_d_emb_depth = 1.5                              
		_d_emb_length = 6.5                              
		_s_barr_type = "TYPE 14 Barrier Wall "                         
     		}
   	else if abs(Y306 - Y305) <= 12 THEN                 /* TYPE 15 */
     		{ 
		_d_emb_depth = 1.75                              
		_d_emb_length = 8                              
		_s_barr_type = "TYPE 15 Barrier Wall "                         
     		}
   	else 								    /* Error */
     		{ 
		_d_emb_depth = 2.00                              
		_d_emb_length = 15                             
		_s_barr_type = "*** Warning - Wall too high : Design req'd ***"                         
     		}

   	/*determine if barrier walls overlaps*/
   	if abs(x306 - x305) <= 0.1 then
		{
		_d_no_barr_wall = 1
		}
	else
		{
		_d_no_barr_wall = 2
		}		
        
   if abs(x306 - x305) <= 0.1 then      /*  Single median Barrier */         
      { 
      /*DETERMINE HIGH SIDE */
   	if y306 - y305 >= 0 then                    /* right side higher */
     		{
      	set plot param "~median barrier wall symbology"
		draw dx = 0 dy = 0.250
		draw dx = 0.583 dy = 1.083
		draw dx = 0.167 dy = 1.583
		draw dx = "barrier wall top width" /2 dy = 0 
      	mark x4 y4
		draw elevation text "~elevation text symbology"
       	draw text char=^TB^ "~profile text symbology" 
		draw skip to x4 y4 
		draw dx = "barrier wall top width" /2 dy =0 
      	mark x10 y10
		draw skip to x301 y301
		draw dx = 0 dy = 0.250
		draw dx = -0.583 dy = 1.083
		draw dx = -0.167 dy = 1.583
		draw to x10 y10
		draw skip to x301 y301
      	set plot param "~median barrier base symbology"
		draw dx = 0 dy = -1*_d_emb_depth
		draw dx = -1*"barrier wall base width"  dy = 0
      	mark x399 y399

      	if _d_emb_length > 0 then
        		{
			draw dx = -1 * _d_emb_length  dy = 0
         		mark x399 y399
	   		draw dx = 0 dy = _d_emb_depth
         		mark x398 y398
	   		draw dx = _d_emb_length  dy = 0
         		mark x396 y396
        		}
      	else
        		{
	  		draw dx = 0 dy = _d_emb_depth
        		mark x398 y398
        		}

 		draw to x302 y302
		draw distance text between x202 y202 and x306 y306 "~offset distance text symbology"  
      	/*Draw offset distance from median barrier wall centerline TO TRAVEL LANE*/
		draw distance text between x201 y201 and x305 y305 "~offset distance text symbology"  
      	/*DISTANCE median barrier wall centerline TO TRAVEL LANE*/
		draw skip to x302 y302

      	/*  Draw base under the barrier footing       */

		if y302 - "pavement thickness right" > y398 then 
      		{
			draw skip to x212 y212
      		set plot param "~base symbology"
      		draw dx = x302 - x202 
      	           dy = y302 - y202 to x302
			mark x397 y397
			draw skip to x311 y311
      		draw dx = x311 - x211 
      		     dy = y311 - y211 to x399
			draw to x399 y399
		      /*  draw extra lines for earthwork calculation   */  
			if _d_emb_length > 0 then
        			{
				draw to x398 y398  
				draw to x396 y396
        			}
			draw to x397 y397
			}
      	else if y302 - "pavement thickness right" < y399 then 
        		{   
         		set plot param "~base symbology" 
			draw skip to x212 y212
      		draw dx = x302 - x202 
           	           dy = y302 - y202 to x399
			mark x397 y397
			draw skip to x311 y311
      		draw dx = x311 - x211 
           	           dy = y311 - y211 to x399
			draw to x397 y397
     	  		}
      	else 
        		{   			
         		set plot param "~base symbology" 
			draw skip to x212 y212
      		draw dx = x302 - x202 
           	           dy = y302 - y202 to x399
			mark x397 y397
			draw skip to x311 y311
      		draw dx = x311 - x211 
           	           dy = y311 - y211 to x399
			draw to x397 y397
     	  		}
		}
     		
   	else if y306 - y305 < 0 then                /* left side higher */
     		{
      	set plot param "~median barrier wall symbology"
		draw skip to x301 y301
		draw dx = 0 dy = 0.250
		draw dx = -0.583 dy = 1.083
		draw dx = -0.167 dy = 1.583
		draw dx = -1*"barrier wall top width" /2 dy = 0
      	mark x3 y3
		draw elevation text "~elevation text symbology"
       	draw text char=^TB^ "~profile text symbology" 
		draw skip to x3 y3 
		draw dx = -1*"barrier wall top width" /2 dy = 0 
      	mark x11 y11
		draw skip to x302 y302
      	draw dx = 0 dy = 0.250
		draw dx = 0.583 dy = 1.083
		draw dx = 0.167 dy = 1.583
		draw to x11 y11
		draw skip to x302 y302
      	set plot param "~median barrier base symbology"
		draw dx = 0 dy = -1*_d_emb_depth
		draw dx = "barrier wall base width" dy = 0
      	mark x399 y399

      	if _d_emb_length > 0 then
        		{
	   		draw dx = _d_emb_length  dy = 0
         		mark x399 y399
	   		draw dx = 0 dy = _d_emb_depth
         		mark x398 y398
	   		draw dx = -1*_d_emb_length  dy = 0
         		mark x396 y396
        		}
      	else
        		{
	  		draw dx = 0 dy = _d_emb_depth
        		mark x398 y398
        		}

		draw to x301 y301
		draw distance text between x202 y202 and x306 y306 "~offset distance text symbology"  
      	/*DISTANCE median barrier wall centerline TO TRAVEL LANE*/
		draw distance text between x201 y201 and x305 y305 "~offset distance text symbology"  
     		/*DISTANCE median barrier wall centerline TO TRAVEL LANE*/

      	/*  Draw base under the barrier footing       */

     		set plot param "~base symbology"
      	if _d_emb_length > 0 then
        		{
			draw skip to x212 y212
      		draw dx = x307 - x212 
           		     dy = y307 - y212 to x399
			draw to x399 y399
		      /* draw extra lines for earthwork calculation   */  
			draw to x398 y398  
			draw to x396 y396
			draw to x397 y397
			}
		else
			{
			draw skip to x307 y307
			draw to x212 y212
			draw skip to x307 y307
			draw to x311 y311
			}
    		}
            draw skip to x301 y301
		draw skip dx=0 dy =-10
		_s_text = _s_barr_type + " (elev. diff. = " + cvt_d_s2(abs(y306-y305)) + "' )"
            draw text value=_s_text "~warning text symbology" angle=0
            draw skip to x301 y301
		draw skip dx=0 dy =-12
            _s_median_width = "Median width = " + cvt_d_s2(median width) + "' "
		draw text value= _s_median_width "~warning text symbology" angle=0
   	}

    else		/*    Overlaping Median Barriers   */
	{
      	set plot param "~median barrier wall symbology"
		draw dx = 0 dy = 0.250
		draw dx = 0.583 dy = 1.083
		draw dx = 0.167 dy = 1.583
		draw dx = "barrier wall top width"/2 dy = 0 
		draw elevation text "~elevation text symbology"
       	draw text char=^TB2^ "~profile text symbology" 
		draw dx = "barrier wall top width"/2 dy = 0 
		draw dx = 0.167 dy = -1.583
		draw dx = 0.583 dy = -1.083
		draw dx = 0 dy = -0.250
            mark x801 y801

      	set plot param "~median barrier base symbology"
		draw skip to x302 y302
		draw dx = 0 dy = -1*_d_emb_depth
		draw dx = "barrier wall base width"  dy = 0
		mark x4 y4
		draw dx = 0 dy = _d_emb_depth
            draw to x801 y801
       	      set plot param "~base symbology"
			draw skip to x212 y212
      		draw dx = x302 - x202 
      	           dy = y302 - y202 to x4
			draw to x4 y4

      	set plot param "~median barrier wall symbology"
		draw skip to x301 y301
		draw dx = 0 dy = 0.250
		draw dx = -0.583 dy = 1.083
		draw dx = -0.167 dy = 1.583
		draw dx = -1*"barrier wall top width" /2 dy = 0 
		draw elevation text "~elevation text symbology"
       	draw text char=^TB1^ "~profile text symbology" 
		draw dx = -1*"barrier wall top width"/2 dy = 0 
		draw dx = -0.167 dy = -1.583
		draw dx = -0.583 dy = -1.083
		draw dx = 0 dy = -0.250
            mark x800 y800

      	set plot param "~median barrier base symbology"
		draw skip to x301 y301
		draw dx = 0 dy = -1*_d_emb_depth
		draw dx = -1*"barrier wall base width"  dy = 0  
		mark x4 y4
		draw dx = 0 dy = _d_emb_depth
		draw to x800 y800
 			set plot param "~base symbology"
			draw skip to x311 y311
      		draw dx = x311 - x211 
      		     dy = y311 - y211 to x4
			draw to x4 y4


		draw skip to x801 y801
		if abs(x801 - x800) > 20 then
			{
    			/* CHECK TO SEE WHICH SIDE OF MEDIAN IS HIGHER */
    			/* Draw Median Ditch */
     			set plot parameters "~ditch slope symbology"
  			_d_sh_slope = "shoulder slope"
    			if y800 >= y801 then
      			{
        			draw slope = _d_sh_slope:-1 for dx=abs(x801 - x800)/2
        			mark x802 y802
        			draw to x800 y800
      			}
    			else
      			{
        			draw skip to x800 y800
        			draw slope = -_d_sh_slope:-1 for dx=abs(x801 - x800)/2
        			mark x802 y802
        			draw to x801 y801
      			}

    			/* LABEL SLOPES */
    			draw slope text between x800 y800 and x802 y802 
      		"~slope text symbology" format=:
    			draw slope text between x802 y802 and x801 y801 
      		"~slope text symbology" format=:
			}
		else
			{
     			set plot parameters "~ditch slope symbology"  
        		draw to x800 y800
    			/* LABEL SLOPES */
    			draw slope text between x800 y800 and x801 y801 
      		"~slope text symbology" format=:
			}
	}
    }
