/* Draw grass Median */

/*-----------------------------------------------------------------------------------

	Add option to draw guardrail post embedment   		3/8/2017   NPY
        Change measurements to match MASH standards		3/21/2018 IFN

-------------------------------------------------------------------------------------*/    

subroutine guardrail_left
 { 
   mark x100 y100
   set plot parameters "~greenside symbology"
   draw dx=-(x800 - x810) dy=y800 - y810 for dx = 3.75   /* extra 3.75' for g.r. support */
   mark x200 y200
   draw skip to x100 y100
   draw skip dx = -.167 dy = 1.490                  /* dx=2" dy = 31"  */
   mark x300 y300

   /* Draw posts   */
   set plot parameters "~guardrail symbology"
   draw skip to x300 y300
   draw dx = -0.917 dy =0                             /* dx = 11"  */                      
   draw skip to x300 y300
   draw dx = 0 dy = 1 for dy = 1.167                   /* 14" */
   mark x400 y400
   draw dx = -1 dy = 0 for dx = -0.917                   /* 11" */ 
   mark x500 y500
   draw dx = 0 dy = -1 to intersection x100 y100 x200 y200
   draw skip to x500 y500
   draw dx = -1 dy = 0 for dx = -0.666                   /* 8" */ 
   draw dx = 0 dy = -1 to intersection x100 y100 x200 y200

   /*  Draw guardrail post embedment */
   define "~guardrail post embedment symbology" lvname=RD_XS_GR co=14 wt=4 lc=2
   define "draw guardrail post embedment" 1               
   define "guardrail post embedment depth in inch" 41               

   if "draw guardrail post embedment" = 1 then 
	{               
   	set plot parameters "~guardrail post embedment symbology" 
   	_d_grp_depth = "guardrail post embedment depth in inch" / 12     
   	draw dx = 0 dy = - _d_grp_depth						/* Default = 41" */
   	draw skip dx = -0.666 dy = 0                    		/* 8" */ 
   	draw to x511 y511
	}	
   	set plot parameters "~guardrail symbology"

   /* Draw rails  */
   draw skip to x300 y300
   draw skip dx=0 dy = 1 for dy=0.073                   /* 7/8"  */
   draw dx = 0.167 dy = 0.20
   draw dx=0 dy= 0.05
   draw dx = -0.167 dy = 0.20
 
   draw skip to x400 y400
   draw skip dx=0 dy = -1 for dy=0.073                   /* 7/8" */
   draw dx = 0.167 dy = -0.20
   draw dx=0 dy= -0.05
   draw dx = -0.167 dy = -0.20
   draw skip to x200 y200

 }
end subroutine 
/*************************************************************************/
subroutine guardrail
 { 
   mark x100 y100
   set plot parameters "~greenside symbology"
   _d_sh_slope = "shoulder slope"
   if pavement slope >= 0 then
     {
       draw slope = _d_sh_slope:-1 for dx = 3.75    /* extra 3.75' for g.r. support */
     }
   else
     {
       draw slope = -pavement slope for dx=3.75    /* extra 3.75' for g.r. support */
     }
   mark x200 y200
   draw skip to x100 y100
   draw skip dx = .167 dy = 1.490                  /* dx=2" dy = 31"  */
   mark x300 y300

   /* Draw posts   */
   set plot parameters "~guardrail symbology"
   draw skip to x300 y300
   draw dx = 0.917 dy =0                             /* dx = 11"  */                      
   draw skip to x300 y300
   draw dx = 0 dy = 1 for dy = 1.167                   /* 14" */
   mark x400 y400
   draw dx = 1 dy = 0 for dx = 0.917                   /* 11" */ 
   mark x500 y500
   draw dx = 0 dy = -1 to intersection x100 y100 x200 y200
   draw skip to x500 y500
   draw dx = 1 dy = 0 for dx = 0.666                   /* 8" */ 
   draw dx = 0 dy = -1 to intersection x100 y100 x200 y200

   /*  Draw guardrail post embedment */
   define "~guardrail post embedment symbology" lvname=RD_XS_GR co=14 wt=4 lc=2
   define "draw guardrail post embedment" 1               
   define "guardrail post embedment depth in inch" 41               

   if "draw guardrail post embedment" = 1 then 
	{               
   	set plot parameters "~guardrail post embedment symbology" 
   	_d_grp_depth = "guardrail post embedment depth in inch" / 12     
   	draw dx = 0 dy = - _d_grp_depth						/* Default = 41" */
   	draw skip dx = -0.666 dy = 0                    		/* 8" */ 
   	draw to x511 y511
	}	
   	set plot parameters "~guardrail symbology"

   /* Draw rails  */
   draw skip to x300 y300
   draw skip dx=0 dy = 1 for dy=0.073                   /* 7/8"  */
   draw dx = -0.167 dy = 0.20
   draw dx=0 dy= 0.05
   draw dx = 0.167 dy = 0.20
 
   draw skip to x400 y400
   draw skip dx=0 dy = -1 for dy=0.073                   /* 7/8" */
   draw dx = -0.167 dy = -0.20
   draw dx=0 dy= -0.05
   draw dx = 0.167 dy = -0.20
   draw skip to x200 y200

 }
end subroutine 
/*************************************************************************/

if median width > 0 then
  {
  /* Draws shoulder for median section */
  /* IF YOU ARE ON THE LEFT SIDE OF THE MEDIAN */
  if px1 > px2 and median width > 0 then
     	{
     	mark x2 y2		
     	draw skip slope = 50:-1 to "median guardrail centerline" 
     	mark x305 y305
     	draw skip to x2 y2
     	if PAVEMENT SLOPE < 0.00 then
       /* SE  high side */
       	{ 
     		set plot parameters "~paved shoulder symbology" 
     		draw slope = -pavement slope for dx="median paved shoulder width" 
     		mark x1 y1
  		mark x810 y810
     		set plot parameters "~greenside symbology"
     		draw slope = -1 * PAVEMENT SLOPE for dx ="median earth shoulder width" 
     		mark x3 y3

     		draw skip to x2 y2
     		draw skip dx=0 dy=-abs("pavement thickness left")
     		mark x92 y92

     		draw skip to x1 y1
     		draw skip dx=0 dy=-abs("pavement thickness left")
     		mark x90 y90
     		/* NOTCH */
     		set plot parameters "~base symbology"
     		if x90 < x501 or x90 > x500 then
       		{
         		draw slope = -pavement slope for dx=.5
         		draw dx=0 dy="base thickness left"
         		draw slope = pavement slope to x1
         		draw to x1 y1

         		draw skip to x90 y90
         		draw to x92 y92
         		draw skip to x3 y3
       		}
     		else				      
       		{
         		draw skip to x1 y1
         		draw dx=0 dy=-1 to existing ground
         		draw skip to x3 y3
       		}
   		}
     else 		/* Normal section */
   		{
     		/* Draw shoulder (12:1) */
     		set plot parameters "~paved shoulder symbology" 
     		draw slope = 12:-1 for dx="median paved shoulder width" 
     		mark x1 y1
  		mark x810 y810
     		set plot parameters "~greenside symbology"
                _d_sh_slope = "shoulder slope"
     		draw slope = _d_sh_slope:-1 for dx = "median earth shoulder width"
     		mark x3 y3

     		draw skip to x2 y2
     		draw skip dx=0 dy=-abs("pavement thickness left")
     		mark x92 y92

     		draw skip to x1 y1
     		draw skip dx=0 dy=-abs("pavement thickness left")
     		mark x90 y90
   		/* NOTCH */
     		set plot parameters "~base symbology"
     		if x90 < x501 or x90 > x500 then
       		{
         		draw slope = -pavement slope for dx=.5
         		draw dx=0 dy="base thickness left"
         		draw slope = pavement slope to x1
         		draw to x1 y1

         		draw skip to x90 y90
         		draw to x92 y92
         		draw skip to x3 y3
       		}
     		else
       		{
         		draw skip to x2 y2
         		draw dx=0 dy=-1 to existing ground
         		draw skip to x3 y3
       		}
   		}
   		mark x800 y800
     	}

   /* ELSE IF YOU ARE ON THE RIGHT SIDE OF THE MEDIAN */
  else if px1 < px2 and median width > 0 then
  	{
     	mark x2 y2		
     	draw skip slope = 50:-1 to "median guardrail centerline" 
     	mark x306 y306
     	draw skip to x2 y2
   	if abs(x306 - x305) <= 0.1 then
		{
		_d_no_guardrail = 1
		}
	else
		{
		_d_no_guardrail = 2          /* Dual Guardrails  */
		}		
        
   	/* DRAW SHOULDER */
   	if PAVEMENT SLOPE < 0.00 then
   		/* SE  high side */
   		{ 
     		set plot parameters "~paved shoulder symbology" 
     		draw slope = -pavement slope for dx="median paved shoulder width" 
     		mark x1 y1
     		set plot parameters "~greenside symbology"
     		draw slope = -1 * PAVEMENT SLOPE for dx ="median earth shoulder width" 
     		mark x3 y3

     		draw skip to x2 y2
     		draw skip dx=0 dy=-abs("pavement thickness right")
     		mark x92 y92

     		draw skip to x1 y1
     		draw skip dx=0 dy=-abs("pavement thickness right")
     		mark x90 y90
   		/* NOTCH */
     		set plot parameters "~base symbology"
     		if x90 < x501 or x90 > x500 then
       		{
         		draw slope = -pavement slope for dx=.5
         		draw dx=0 dy="base thickness right"
         		draw slope = pavement slope to x1
         		draw to x1 y1

         		draw skip to x90 y90
         		draw to x92 y92
         		draw skip to x3 y3
       		}
     		else
       		{
         		draw skip to x1 y1
         		draw dx=0 dy=-1 to existing ground
         		draw skip to x3 y3
       		}
   		}
   	else
   		{
     		/* Draw shoulder (12:1) */
     		set plot parameters "~paved shoulder symbology" 
     		draw slope = 12:-1 for dx="median paved shoulder width" 
     		mark x1 y1
     		set plot parameters "~greenside symbology"
                _d_sh_slope = "shoulder slope"
     		draw slope = _d_sh_slope:-1 for dx = "median earth shoulder width"
     		mark x3 y3

     		draw skip to x2 y2
     		draw skip dx=0 dy=-abs("pavement thickness right")
     		mark x92 y92

     		draw skip to x1 y1
     		draw skip dx=0 dy=-abs("pavement thickness right")
     		mark x90 y90 
   		/* NOTCH */
     		set plot parameters "~base symbology"
     		if x90 < x501 or x90 > x500 then
       		{
         		draw slope = -pavement slope for dx=.5
         		draw dx=0 dy="base thickness right"
         		draw slope = pavement slope to x1
         		draw to x1 y1

         		draw skip to x90 y90
         		draw to x92 y92
         		draw skip to x3 y3
       		}
     		else
       		{
         		draw skip to x1 y1
         		draw dx=0 dy=-1 to existing ground
         		draw skip to x3 y3
       		}
   		}
    		mark x801 y801
    		/* CHECK TO SEE WHICH SIDE OF MEDIAN IS HIGHER */
    		/* Draw guradrail */
		if _d_no_guardrail = 1 then
			{
    			if y800 < y801 then
      			{
                  	call subroutine guardrail            /* right side higher */
    				mark x801 y801
				}
			else
      			{
        			draw skip to x800 y800
                  	call subroutine guardrail_left       /* left side higher */
    				mark x800 y800
				}
			}
		else
			{
                 	call subroutine guardrail       /* draw right side */
			mark x801 y801
     			draw skip to x800 y800
                 	call subroutine guardrail_left   /* draw left side */
			mark x800 y800
			}

    		/* Draw Median Ditch */
     		set plot parameters "~ditch slope symbology"  
    		if y800 < y801 then               			/* right side higher */
      		{
        		draw skip to x800 y800
        		draw skip slope = -4:-1 for dx=20
        		mark x805 y805
        		draw skip to x801 y801
   			draw skip slope = 4:-1 to intersection x800 y800 x805 y805
        		mark x802 y802
			if y800-y802 >= 2 then 
				{
        			draw to x800 y800
        			draw skip to x802 y802
        			draw to x801 y801
				}
			else
				{
        			draw skip to x801 y801
   				draw skip slope = 3:-1 to intersection x800 y800 x805 y805
        			mark x802 y802
				if y800-y802 >= 2 then 
					{
        				draw to x800 y800
        				draw skip to x802 y802
        				draw to x801 y801
					}
				else
					{
        				draw skip to x801 y801
  					draw skip slope = 2:-1 to intersection x800 y800 x805 y805
        				mark x802 y802
        				draw to x800 y800
        				draw skip to x802 y802
        				draw to x801 y801
					}
				}
			} 
   		else								/* left side higher */
      		{
        		draw skip to x801 y801
        		draw skip slope = 4:-1 for dx=20
        		mark x805 y805
        		draw skip to x800 y800
   			draw skip slope = -4:-1 to intersection x801 y801 x805 y805
        		mark x802 y802
			if y801-y802 >= 2 then 
				{
        			draw to x800 y800
        			draw skip to x802 y802
        			draw to x801 y801
				}
			else
				{
        			draw skip to x800 y800
   				draw skip slope = -3:-1 to intersection x801 y801 x805 y805
        			mark x802 y802
				if (y800-y802) >= 2 then 
					{
        				draw to x800 y800
        				draw skip to x802 y802
        				draw to x801 y801
					}
				else
					{
        				draw skip to x800 y800
   					draw skip slope = -2:-1 to intersection x801 y801 x805 y805
        				mark x802 y802
        				draw to x800 y800
        				draw skip to x802 y802
        				draw to x801 y801
					}
				}
      		}

    		/* LABEL SLOPES */
    		draw slope text between x800 y800 and x802 y802 
      	"~slope text symbology" format=:
    		draw slope text between x802 y802 and x801 y801 
      	"~slope text symbology" format=:
  		}
  }
 


