/* Draws raised median using standard 2' concrete curb */  

/*------------------------------------------------------------------
Draw Spill Curb at the High side               		01/11/2001
Change symbology for earthwork calculation     		01/11/2001

Change to level names						NPY  4/25/06	

--------------------------------------------------------------------*/             
                  
   if median width > 0 and px1 > px2 then                  
      {
         					/* Draw 2' concrete curb (Left Side) */
         mark x1 y1

         set plot param "~curb top symbology"
	   draw dx = 0.001  dy = -0.02083        /*  dx=~0  dy=-1/4"  */
         mark x2 y2

	   if pavement slope >= 0.0 then      /* Low side (Catch Curb)*/
         	{
         	draw dx = 1.417 dy = -0.083           /* dx=1'-5" dy=-1" */ 
		}
      	else       					/* HIGH side (Spill Curb) */
         	{
         	draw slope = -pavement slope for dx = 1.417   	/* dx=1'-5" */ 
		}

         draw dx = 0.083 dy = 0.5              /* dx=1" dy=6"  */
         draw dx = 0.5    dy = 0               /* dx=6"     */
         mark x3 y3                            /* Curve TOP  */ 

         set plot param "~base symbology"

         draw dx = 0      dy = -1
         draw dx = -0.583     dy = 0             /* dx=-7" */ 


	   if pavement slope >= 0.0 then      		/* Low side (Catch Curb)*/
         	{
         	draw dx = -1.417    dy = 0.083      	/* dx=-1'-5"  dy=1" */
		}
      	else       						/* HIGH side (Spill Curb) */
         	{
         	draw slope = pavement slope for dx = -1.417   	/* dx=-1'-5" */ 
		}

         mark x4 y4
         draw skip to x1 y1
         draw skip dx = 0 dy = -"PAVEMENT THICKNESS" 
         draw to x4 y4
         set plot param "~curb front symbology" 
         draw to x2 y2
         draw skip to x3 y3
         mark x90 y90
         _d_elev = abs(y3)

/* Draw Curb Top Elevation  Left Side*/

            draw skip dx=-0.5 dy=0                         /* move ~6" */  
            draw text char=^TOCLT^ "~XS TOC text symbology" just=rb 
            draw skip to x3 y3
            draw skip dx=-0.25 dy=1                             
            _s_elev = cvt_d_s2(_d_elev)             
            draw text value=_s_elev "~elevation text symbology" 
            draw skip to x3 y3       

  
         mark x800 y800 
      }
   else if median width > 0 and px1 < px2 then
      {
         /* Draw ogee concrete curb (Right Side) */
         mark x1 y1
         set plot param "~curb top symbology"

	   draw dx = 0.001  dy = -0.02083        /*  dx=~0  dy=-1/4"  */
         mark x2 y2


	   if pavement slope >= 0.0 then          /* Low side (Catch Curb)*/
         	{
         	draw dx = 1.417 dy = -0.083         /* dx=1'-5" dy=-1" */ 
		}
      	else       					/* HIGH side (Spill Curb) */
         	{
         	draw slope = -pavement slope for dx = 1.417   	/* dx=1'-5" */ 
		}

         draw dx = 0.083  dy = 0.5              /*  dx=1"   dy=6"    */
         draw dx = 0.5    dy = 0                /*  dx=6"            */
         mark x3 y3                             /*  Curve TOP        */ 

         set plot param "~base symbology"
         draw dx = 0      dy = -1
         draw dx = -0.583     dy = 0            /* dx=-7" */ 

	   if pavement slope >= 0.0 then          /* Low side (Catch Curb)*/
         	{
         	draw dx = -1.417 dy = 0.083         /* dx=-1'-5" dy=1" */ 
		}
      	else       					/* HIGH side (Spill Curb) */
         	{
         	draw slope = pavement slope for dx = -1.417   	/* dx=1'-5" */ 
		}

         mark x4 y4
         draw skip to x1 y1
         draw skip dx = 0 dy = -"PAVEMENT THICKNESS" 
         draw to x4 y4
         set plot param "~curb front symbology" 
         draw to x2 y2
         draw skip to x3 y3
         _d_elev = abs(y3)
         mark x90 y90

/* Draw Curb Top Elevation  Right Side*/

            draw skip dx=-0.5 dy=0                         /* move ~6" */  
            draw text char=^TOCRT^ "~XS TOC text symbology" just=lb 
            draw skip to x3 y3
            draw skip dx=-0.25 dy=1                             
            _s_elev = cvt_d_s2(_d_elev)           
            draw text value=_s_elev "~elevation text symbology"
            draw skip to x3 y3

         mark x801 y801 


/*  Draw median (slope=12:1).    check for high side */
         set plot param "~greenside symbology"
         _d_sh_slope = "shoulder slope"
         if abs(y801 - y800) < .5 then
           {
             draw slope = _d_sh_slope:1 for dx=abs(x800 - x801)/2  
             mark x802 y802 
             _d_elev = abs(y802)
             draw skip dx=0.0 dy=1                             
             _s_elev = cvt_d_s2(_d_elev) 
             draw text value=_s_elev "~elevation text symbology"
             draw skip to x802 y802
             draw to x800 y800
           }     
         else 
           {
             draw to x800 y800
           }      
      }

