/* med_new_915.x Draws raised median using 9x15 concrete curb */     
/*------------------------------------------------------------------
	Draw median curb top elevation	     			07/31/2013
	Draw center of median elevation 
--------------------------------------------------------------------*/                           

   if median width > 0 and px1 > px2 then 
      {
         /* Draw 9 x 15 concrete curb (Left Side) */
         set plot param "~curb top symbology"
         mark x1 y1
         draw dx = 0.0    dy = 0.167                  /* dy=2"       */
         draw dx = 0.5    dy = 0.25                   /* dx=6" dy=3" */
         draw dx = 0.25   dy = 0.0                    /* dx=3"       */
         mark x3 y3                                   /* Curb Top    */

         set plot param "~base symbology"
         draw dx = 0      dy = -1.25                  /* dy = 15"    */
         draw dx = -.75   dy = 0                      /* dx =  9"    */
         draw skip to x1 y1
         draw dx=0 dy = -"PAVEMENT THICKNESS"   
                 
         draw skip to x3 y3 
         _d_elev = abs(y3)

/* Draw Curb Top Elevation  Left Side*/
            draw skip dx=-0.3 dy=0                         /* move ~6" */  
            draw text char=^TCL9^ "~XS TOC text symbology" just=rb 
            draw skip to x3 y3
            draw skip dx=-0.25 dy=2                             
            _s_elev = cvt_d_s2(_d_elev)             
            draw text value=_s_elev "~elevation text symbology 2" 
 
         draw skip to x3 y3       
         mark x800 y800 

      }
   else if median width > 0 and px1 < px2 then
      {
         /* Draw 9 x 15 concrete curb (Right Side) */
         set plot param "~curb top symbology"
         mark x1 y1
         draw dx = 0.0    dy = 0.167                  /* dy=2"       */
         draw dx = 0.5    dy = 0.25                   /* dx=6" dy=3" */
         draw dx = 0.25   dy = 0.0                    /* dx=3"       */
         mark x3 y3                                   /* Curb Top   */

         set plot param "~base symbology"
         draw dx = 0      dy = -1.25                  /* dy = 15"   */
         draw dx = -.75   dy = 0                      /* dx =  9"   */
         draw skip to x1 y1
         draw dx=0 dy = -"PAVEMENT THICKNESS" 

         draw skip to x3 y3 
         _d_elev = abs(y3)

/* Draw Curb Top Elevation  Right Side*/

            draw skip dx=-0.3 dy=0                         /* move ~6" */  
            draw text char=^TCR9^ "~XS TOC text symbology" just=lb 
            draw skip to x3 y3
            draw skip dx=-0.25 dy=2                             
            _s_elev = cvt_d_s2(_d_elev)           
            draw text value=_s_elev "~elevation text symbology 2"

         draw skip to x3 y3
         mark x801 y801 

         /* check for high side */
         set plot param "~greenside symbology"
         _d_sh_slope = "shoulder slope"
         if abs(y801 - y800) < .5 then
           {
             draw slope = _d_sh_slope:1 for dx=abs(x800 - x801)/2  
             mark x802 y802 
             _d_elev = abs(y802)
             draw skip dx=0.0 dy=3                             
             _s_elev = cvt_d_s2(_d_elev) 
             draw text value=_s_elev "~elevation text symbology"
             draw skip to x802 y802
             draw to x800 y800
           }     
         else 
           {
             draw to x800 y800
           }      
      }

