/* med_over_15s.x Draws raised median using standard 1.5' slope face concrete curb */                    
/*------------------------------------------------------------------
	standard 1.5' slope face concrete curb	     01/15/2014
	Spill Curb at the High side               
	STD 720-105-01
--------------------------------------------------------------------*/                

   if median width > 0 and px1 > px2 then 
      {
                                /* Draw 1.5' concrete curb (Left Side) */
         mark x1 y1

         set plot param "~curb top symbology"
         draw dx = 0.001  dy = -0.02083        /*  dx=~0  dy=-1/4"  */
         mark x2 y2


	   if pavement slope >= 0.0 then      /* Low side (Catch Curb)*/
         	{
         	draw dx = 1.0 dy = -0.0833           /* dx=1' dy=-1" */ 
		}
      	else       					/* HIGH side (Spill Curb) */
         	{
         	draw slope = -pavement slope for dx = 1.0   	/* dx=1'-6" */ 
		}

         draw dx = 0      dy = 0.0833            /* dy=1"  */
         draw dx = 0.3333 dy = 0.4167            /* dx=4" dy=5"  */
         draw dx = 0.1667  dy = 0                /* dx=2"        */
         mark x3 y3                            /* Curve TOP  */ 

         set plot param "~base symbology"

         draw dx = 0      dy = -1
         draw dx = -0.5   dy = 0             /* dx=-6" */ 

	   if pavement slope >= 0.0 then      		/* Low side (Catch Curb)*/
         	{
         	draw dx = -1.0    dy = 0.0833      	/* dx=-1'  dy=1" */
		}
      	else       						/* HIGH side (Spill Curb) */
         	{
         	draw slope = pavement slope for dx = -1.0   	/* dx=-1' */ 
		}

         mark x4 y4						
         draw skip to x1 y1
         if _d_edges = 0 or _d_exist = 0 then
         	{
           draw skip dx = 0 dy = -"PAVEMENT THICKNESS" 
		}
	    else
		{
         	if x1 < x501 or x1 > x500 then
             {
             draw skip dx = 0 dy = -"PAVEMENT THICKNESS"
             }
         	else
             {
             draw skip dx=0 dy=-1 to existing ground
             }
		}

         draw to x4 y4
         set plot param "~curb front symbology"        /* Bypass the Earthwork */
         draw to x2 y2
         draw skip to x3 y3
         mark x90 y90
         _d_elev = abs(y3)

/* Draw Curb Top Elevation  Left Side*/

            draw skip dx=-0.3 dy=0                         /* move ~" */  
            draw text char=^TCL5^ "~XS TOC text symbology" just=rb 
            draw skip to x3 y3
            draw skip dx=-0.25 dy=1                             
            _s_elev = cvt_d_s2(_d_elev)             
            draw text value=_s_elev "~elevation text symbology" 
            draw skip to x3 y3       
  
         mark x800 y800 
      }
   else if median width > 0 and px1 < px2 then
      {
         /* Draw 2" concrete curb (Right Side) */
         mark x1 y1
         set plot param "~curb top symbology"

         draw dx = 0.001  dy = -0.02083        /*  dx=~0  dy=-1/4"  */
         mark x2 y2


	   if pavement slope >= 0.0 then      /* Low side (Catch Curb)*/
         	{
         	draw dx = 1.0 dy = -0.0833           /* dx=1' dy=-1" */ 
		}
      	else       					/* HIGH side (Spill Curb) */
         	{
         	draw slope = -pavement slope for dx = 1.0   	/* dx=1' */ 
		}

         draw dx = 0      dy = 0.0833            /* dy=1"        */
         draw dx = 0.3333 dy = 0.4167            /* dx=4" dy=5"  */
         draw dx = 0.1667 dy = 0                 /* dx=2""       */
         mark x3 y3                              /* Curve TOP    */ 


         set plot param "~base symbology"
         draw dx = 0      dy = -1
         draw dx = -0.5   dy = 0                /* dx=-6" */ 

	   if pavement slope >= 0.0 then      		/* Low side (Catch Curb)*/
         	{
         	draw dx = -1.0    dy = 0.0833      	/* dx=-1'-0"  dy=1" */
		}
      	else       						/* HIGH side (Spill Curb) */
         	{
         	draw slope = pavement slope for dx = -1.0   	/* dx=-1'-0" */ 
		}
         mark x4 y4

         draw skip to x1 y1
         if _d_edges = 0 or _d_exist = 0 then
         	{
           draw skip dx = 0 dy = -"PAVEMENT THICKNESS" 
		}
	    else
		{
       	if x1 < x501 or x1 > x500 then
             {
             draw skip dx = 0 dy = -"PAVEMENT THICKNESS"
             }
        	else
             {
             draw skip dx=0 dy=-1 to existing ground
             }
		}

         draw to x4 y4
         set plot param "~curb front symbology" 

         draw to x2 y2
         draw skip to x3 y3
         _d_elev = abs(y3)
         mark x90 y90

/* Draw Curb Top Elevation  Right Side*/

            draw skip dx=-0.3 dy=0                         /* move ~" */  
            draw text char=^TCR5^ "~XS TOC text symbology" just=lb 
            draw skip to x3 y3
            draw skip dx=-0.25 dy=1                             
            _s_elev = cvt_d_s2(_d_elev)           
            draw text value=_s_elev "~elevation text symbology"
            draw skip to x3 y3

         mark x801 y801 


/* Draw median (slope=12:1).    check for high side */
         set plot param "~greenside symbology"
	 _d_sh_slope = "shoulder slope"
         if abs(y801 - y800) < .5 then
           {
             draw slope = _d_sh_slope:1 for dx=abs(x800 - x801)/2  
             mark x802 y802 
             draw text char=^MED^ "~XS TOC text symbology" just=lb 
             draw skip to x802 y802
             _d_elev = abs(y802)
             draw skip dx=0.0 dy=1                             
             _s_elev = cvt_d_s2(_d_elev) 
             draw text value=_s_elev "~elevation text symbology"
             draw skip to x802 y802
             draw to x800 y800
           }     
         else 
           {
             draw to x800 y800
           }      
      }

