/* Draws raised median using ogee concrete curb */                    
/* -------------------------------------------------------------------------------

Change to level names							NPY  4/25/06	

---------------------------------------------------------------------------------- */

   if median width > 0 and px1 > px2 then 
      {
         /* Draw ogee concrete curb (Left Side) */
         mark x1 y1

         set plot param "~curb top symbology"
	   draw dx = 0.001  dy = -0.02083        /*  dx=~0  dy=-1/4"  */
         mark x2 y2
         draw dx = 0.667  dy = -0.04167        /*  dx=8"  dy=-1/2"  */
         draw dx = 0.667  dy = 0.2917          /*  dx=8"  dy=3.5"  */
         draw dx = 0.167  dy = 0.0             /*  dx=2" */
         mark x3 y3                            /*  Curve TOP  */ 

         set plot param "~base symbology"
         draw dx = 0    dy = -0.8333           /* dy=-10"        */
         draw dx = -0.5 dy = 0                 /* dx=6"          */
         draw dx = -1   dy = 0.08333           /* dx=12"  dy=1"  */
         draw skip to x1 y1
                  
         if x1 < x501 or x1 > x500 then
           {
             draw skip dx = 0 dy = -"PAVEMENT THICKNESS"
           }
         else
           {
             draw skip dx=0 dy=-1 to existing ground
           }

         draw to x2 y2
         draw skip to x3 y3
         mark x90 y90
         _d_elev = abs(y3)

/* Draw Curb Top Elevation  Left Side*/

            draw skip dx=-0.5 dy=0                         /* move ~6" */  
            draw text char=^OGLT^ "~XS TOC text symbology" just=rb 
            draw skip to x3 y3

            draw skip dx=0.25 dy=0.5                             
            _s_elev = cvt_d_s2(_d_elev)             
            draw text value=_s_elev "~elevation text symbology" 
            draw skip to x3 y3       

         mark x800 y800 
      }
   else if median width > 0 and px1 < px2 then
      {
         /* Draw ogee concrete curb (Right Side) */
         mark x1 y1
         set plot param "~curb top symbology"

	   draw dx = 0.001  dy = -0.02083        /*  dx=~0  dy=-1/4"  */
         mark x2 y2
         draw dx = 0.667  dy = -0.04167        /*  dx=8"  dy=-1/2"  */
         draw dx = 0.667  dy = 0.2917          /*  dx=8"  dy=3.5"  */
         draw dx = 0.167  dy = 0.0             /*  dx=2" */
         mark x3 y3                            /*  Curve TOP  */ 

         set plot param "~base symbology"
         draw dx = 0    dy = -0.8333           /* dy=-10"        */
         draw dx = -0.5 dy = 0                 /* dx=6"          */
         draw dx = -1   dy = 0.08333           /* dx=12"  dy=1"  */
         draw skip to x1 y1
                  
         if x1 < x501 or x1 > x500 then
           {
             draw skip dx = 0 dy = -"PAVEMENT THICKNESS"
           }
         else
           {
             draw skip dx=0 dy=-1 to existing ground
           }

         draw to x2 y2
         draw skip to x3 y3
         _d_elev = abs(y3)
         mark x90 y90

/* Draw Curb Top Elevation  Right Side*/

            draw skip dx=-0.5 dy=0                         /* move ~6" */  
            draw text char=^OGRT^ "~XS TOC text symbology" just=lb 
            draw skip to x3 y3
            draw skip dx=0.25 dy=0.5                             
            _s_elev = cvt_d_s2(_d_elev)           
            draw text value=_s_elev "~elevation text symbology" 
            draw skip to x3 y3

         mark x801 y801 

         /* check for high side */
         set plot param "~greenside symbology"
         _d_sh_slope = "shoulder slope"
         if abs(y801 - y800) < .5 then
           {
             draw slope = _d_sh_slope:1 for dx=abs(x800 - x801)/2  
             mark x802 y802 
             _d_elev = abs(y802)
             draw skip dx=0.0 dy=1                             
             _s_elev = cvt_d_s2(_d_elev) 
             draw text value=_s_elev "~elevation text symbology" 
             draw skip to x802 y802
             draw to x800 y800
           }     
         else 
           {
             draw to x800 y800
           }      
      }

