/* Draws pavement for overlay and widening projects

WRITTEN: November, 1999

MODIFIED:

	Add draw build up lines                       		08/2001
	Change warning message for build up lines			08/2002

      Modify "draw skip trace in off=0 for dx=300" 		01/2005
	due to the errors on type6: 4-lane divided.

*****************************************************************************/



/* THE PAVEMENT LAYERS ARE ALL DRAWN FROM THE LEFT SIDE */
if px1 < px2 then 
  { 
     remove skew effect
     set plot param "~base symbology"
     /* SET UP VARIABLES */
     _d_counter = 1 
     _d_exist = 0 
     _d_edges = 0 
     _d_stop = 0 
     _d_total_pmp = number of pavement points
     _d_mp = _d_total_pmp / 2 + 1 
     _d_sc_binder = "pavement thickness" - "base thickness" 

     /* MARK ALL BREAKS IN THE PAVEMENT */
     while _d_counter <= _d_total_pmp 
       { 
         draw skip to p[_d_counter] 
         mark x[_d_counter] y[_d_counter]  
         _d_counter = _d_counter + 1 
       } 
     /* GO MARK EDGES OF TRAVEL LANES */ 
     draw skip trace in off=0 for dx=300 
     _d_number = 500 
     while intersect dgn = "existing edge of travel lane" and _d_edges <= 1
       {
         draw skip trace out off=0 to "existing edge of travel lane" 
         mark x[_d_number] y[_d_number] 
         _d_edges = _d_edges + 1
         draw skip dx=2*tolerance dy=0
         _d_number = _d_number + 1
       }

     /* IF YOU HAVE EXISTING PAVEMENT */
     if _d_edges = 2 then
       {
         /* DRAW MILLING IF NEEDED */
         if abs("milling thickness") > 0 then
           	{
             set plot parameters "~milling symbology"
             draw skip to x500 y500
             draw trace out off=-abs("milling thickness") to x501
             set plot parameters "~base symbology"
           	}
         /* HANDLE OUTSIDE LEFT OF EXISTING PAVEMENT */
     	   set plot param "~base symbology"
         _d_counter = 1
         draw skip to p1
         if x[_d_counter] < x501 and x[_d_total_pmp] > x501 then
           {
             _d_exist = 1
             draw skip dx=0 dy=-abs("pavement thickness")

             while x[_d_counter] <= x501 and _d_stop = 0
               {
                 if x[_d_counter + 1] >= x501 then
                   {
                      draw dx= -1 * abs(x[_d_counter] - x[_d_counter + 1]) 
                           dy = y[_d_counter + 1] - y[_d_counter] to x[501]
			    mark x902 y902
                      draw to x501 y501
                      _d_stop = 1

 			    	/* Draw lines for build up calculation */
				draw skip dx=0 dy=1 to intersection 
                             x[_d_counter] y[_d_counter] x[_d_counter+1] y[_d_counter+1]
				mark x900 y900
				draw skip dx=0 dy=-abs(_d_sc_binder) 
				mark x901 y901
				_d_t1 = abs(y902-y900) 
				if y901 > y501  then /* Build up req'd */
					{
      		    		set plot parameters "~build up symbology" 
					draw skip to x501 y501
					draw to x901 y901 
/*
					draw skip dx=0 dy=20
					draw skip dx=0 dy=-1 to xs "finish grade"
					draw trace "finish grade" in off=1 to xpgl     
*/
					_d_cn = _d_counter 
             			while x[_d_cn] < x[_d_mp]
						{   	/* draw build up lines parallel to the pavement */  	
                      			draw dx= -1 * abs(x[_d_cn] - x[_d_cn + 1]) 
                           		     dy = y[_d_cn + 1] - y[_d_cn] to x[_d_cn + 1]
						_d_cn = _d_cn + 1
						}				

     					set plot param "~base symbology"
				   	}
				else                           
					{
					if abs(y501 - y900 - "base thickness") > tolerance then
						{
						/*  Irregular build up lines drawn on x-section  */
      		    			set plot parameters "~build up symbology"
						draw skip to x901 y901
						_d_cn = _d_counter 
             				while x[_d_cn] < x[_d_mp]
							{   /* draw build up lines parallel to the pavement */  
                      				draw dx= -1 * abs(x[_d_cn] - x[_d_cn + 1]) 
                           		     	dy = y[_d_cn + 1] - y[_d_cn] to x[_d_cn + 1]
							_d_cn = _d_cn + 1
							}				
						draw skip to x900 y900				
						draw skip dx=0 dy=-7  
         					draw text char=^Irregular build up line drawn^ "~warning text symbology" ang=0 
     						set plot param "~base symbology"
						}
					else               /* No build up req'd */
						{
						}
					}
                       _d_counter = _d_counter + 1
                  }
                 else
                   {
                      draw dx= -1 * abs(x[_d_counter] - x[_d_counter + 1]) 
                           dy = y[_d_counter + 1] - y[_d_counter]
                      _d_counter = _d_counter + 1
                   }
               } 
             _d_counter = _d_counter + 1
           }
         /* HANDLE OUTSIDE RIGHT OF EXISTING PAVEMENT */
         _d_stop = 0
         _d_counter = _d_total_pmp
         draw skip to p[_d_counter]
         if x[_d_counter] > x500  and x1 < x500 then
           {
             _d_exist = 1
             draw skip dx=0 dy=-abs("pavement thickness")
             while x[_d_counter] >= x500 and _d_stop = 0
               {
                 if x[_d_counter - 1] <= x500 then 
                   {
                      draw dx= abs(x[_d_counter] - x[_d_counter - 1]) 
                           dy = y[_d_counter-1] - y[_d_counter] to x[500] 
                      draw to x500 y500 
                      _d_stop = 1 

 			    	/* Draw lines for build up calculation */
				draw skip dx=0 dy=1 to intersection 
                             x[_d_counter] y[_d_counter] x[_d_counter-1] y[_d_counter-1]
				mark x900 y900
				draw skip dx=0 dy=-abs(_d_sc_binder) 
				mark x901 y901

				if y901 > y500 then /* Build up req'd */  
				   	{  
      		    		set plot parameters "~build up symbology"  
					draw skip to x500 y500  
					draw to x901 y901  
					_d_cn = _d_counter   
             			while x[_d_cn] > x[_d_mp]  
						{       /* draw build up lines parallel to the pavement */  
                      			draw dx= -1 * abs(x[_d_cn] - x[_d_cn - 1])   
                           		     dy = y[_d_cn - 1] - y[_d_cn] to x[_d_cn - 1]  
						_d_cn = _d_cn - 1  
						}				
     					set plot param "~base symbology"  
				   	}	  
				else                           
					{
					if abs(y500 - y900 - "base thickness") > tolerance then
						{
						/*  Ir-regular build up lines drawn on x-section  */
      		    			set plot parameters "~build up symbology"
						draw skip to x901 y901
						_d_cn = _d_counter 
             				while x[_d_cn] > x[_d_mp]
							{   /* draw build up lines parallel to the pavement */  
                      				draw dx= -1 * abs(x[_d_cn] - x[_d_cn - 1])   
                           		     	     dy = y[_d_cn - 1] - y[_d_cn] to x[_d_cn - 1]  
							_d_cn = _d_cn - 1  
							}
						draw skip to x900 y900				
						draw skip dx=0 dy=-7  
         					draw text char=^Irregular build up line drawn^ "~warning text symbology" ang=0
     						set plot param "~base symbology"
						}
					else               /* No build up req'd */
						{
						}
					}
                      _d_counter = _d_counter - 1  
                   }
                 else
                   {
                      draw dx= abs(x[_d_counter] - x[_d_counter - 1]) 
                           dy = y[_d_counter - 1] - y[_d_counter]
                      _d_counter = _d_counter - 1
                   }
               } 
             _d_counter = _d_counter - 1
           }
       }
     /* ELSE IF NO EXISTING PAVEMENT FOUND */
     if _d_edges = 0 or _d_exist = 0 then
       {
         _d_counter = 1
         draw skip to p1
         draw skip dx=0 dy=-abs("pavement thickness")
         while _d_counter < _d_total_pmp
           {
             draw dx= -1 * abs(x[_d_counter] - x[_d_counter + 1]) 
                  dy = y[_d_counter+1] - y[_d_counter] to x[_d_counter + 1]
             _d_counter = _d_counter + 1
           }
         draw skip to x[_d_counter] y[_d_counter]
       }
     else if _d_edges = 1 then 
       {
         draw text char=^Irregular Number of Pavement Edges Found^ "~warning text symbology"
       }

  /* LABEL PAVEMENT SLOPES */
  if p1 then
    {
      _d_counter = 1
      while _d_counter < _d_total_pmp
        {
          draw slope text between x[_d_counter] y[_d_counter] and x[_d_counter+1] y[_d_counter+1]
            "~slope text symbology" format=/
          _d_counter = _d_counter + 1
        }
    }
   
  draw skip to p1
  }

        
