/* Draws pavement for interstate overlay and widening projects

	WRITTEN: November, 1999


	Change to level names						3/10/09	NPY	

*****************************************************************************/


/* THE PAVEMENT LAYERS ARE ALL DRAWN FROM THE LEFT SIDE */
if px1 < px2 then
  {
     remove skew effect
     set plot param "~base symbology"
     /* SET UP VARIABLES */
     _d_counter = 1
     _d_exist = 0
     _d_edges = 0
     _d_stop = 0
     _d_total_pmp = number of pavement points

     /* MARK ALL BREAKS IN THE PAVEMENT */
     while _d_counter <= _d_total_pmp
       {
         draw skip to p[_d_counter]
         mark x[_d_counter] y[_d_counter]
         _d_counter = _d_counter + 1
       }

     /* GO MARK EDGES OF TRAVEL LANES */
     draw skip trace in off=0 for dx=100
     _d_number = 500
     while intersect dgn = "existing edge of travel lane" and _d_edges <= 1
       {
         draw skip trace out off=0 to "existing edge of travel lane"
         mark x[_d_number] y[_d_number]
         _d_edges = _d_edges + 1
         draw skip dx= 2*tolerance dy=0
         _d_number = _d_number + 1
       }

     /* IF YOU HAVE EXISTING PAVEMENT */
     if _d_edges = 2 then
       {
         /* DRAW MILLING IF NEEDED */
         if abs("milling thickness") > 0 then
           {
             set plot parameters "~milling symbology"
             draw skip to x500 y500
             draw trace out off=-abs("milling thickness") to x501
             set plot parameters "~base symbology"
           }
         /* HANDLE OUTSIDE LEFT OF EXISTING PAVEMENT */
         _d_counter = 1
         draw skip to p1
         if x[_d_counter] < x501 and x[_d_total_pmp] > x501 then
           {
             _d_exist = 1
             draw skip dx=0 dy=-abs("pavement thickness right")
             while x[_d_counter] <= x501 and _d_stop = 0
               {
                 if x[_d_counter + 1] >= x501 then
                   {
                      draw dx= -1 * abs(x[_d_counter] - x[_d_counter + 1]) 
                           dy = y[_d_counter + 1] - y[_d_counter] to x[501]
                      draw to x501 y501
                      _d_stop = 1
                      _d_counter = _d_counter + 1
                   }
                 else
                   {
                      draw dx= -1 * abs(x[_d_counter] - x[_d_counter + 1]) 
                           dy = y[_d_counter + 1] - y[_d_counter]
                      _d_counter = _d_counter + 1
                   }
               } 
             _d_counter = _d_counter + 1
           }
         /* HANDLE OUTSIDE RIGHT OF EXISTING PAVEMENT */
         _d_stop = 0
         _d_counter = _d_total_pmp
     	   set plot param "~outside base symbology" /* outside base */
         draw skip to p[_d_counter]
         if x[_d_counter] > x500  and x1 < x500 then
           {
             _d_exist = 1
             draw skip dx=0 dy=-abs("pavement thickness right")
             while x[_d_counter] >= x500 and _d_stop = 0
               {
                 if x[_d_counter - 1] <= x500 then
                   {
                      draw dx= abs(x[_d_counter] - x[_d_counter - 1]) 
                           dy = y[_d_counter-1] - y[_d_counter] to x[500]
                      draw to x500 y500
                      _d_stop = 1
                      _d_counter = _d_counter - 1
                   }
                 else
                   {
                      draw dx= abs(x[_d_counter] - x[_d_counter - 1]) 
                           dy = y[_d_counter - 1] - y[_d_counter]
                      _d_counter = _d_counter - 1
                   }
               } 
             _d_counter = _d_counter - 1
           }
           set plot param "~base symbology"
       }
     /* ELSE IF NO EXISTING PAVEMENT FOUND */
     if _d_edges = 0 or _d_exist = 0 then
       {
           set plot param "~XS notes line symbology" 
         _d_counter = 1
         draw skip to p1
         draw skip dx=0 dy=-abs("pavement thickness right")
         while _d_counter < _d_total_pmp
           {
             draw dx= -1 * abs(x[_d_counter] - x[_d_counter + 1]) 
                  dy = y[_d_counter+1] - y[_d_counter] to x[_d_counter + 1]
             _d_counter = _d_counter + 1
           }
         draw skip to x[_d_counter] y[_d_counter]
       }
     else if _d_edges = 1 then 
       {
         draw text char=^Irregular Number of Pavement Edges Found^ "~warning text symbology" 
       }

  /* LABEL PAVEMENT SLOPES and Elevation */ 
/*  */

  _d_mp = "mark pavement"

  if _d_mp > 0 then
    {
      _d_counter = 1
      while _d_counter < _d_total_pmp
        	{	
          	draw slope text between x[_d_counter] y[_d_counter] and x[_d_counter+1] y[_d_counter+1]
            	"~slope text symbology" format=/
      	_d_counter = _d_counter + 1
        	}
      _d_counter = 1
      while _d_counter <= _d_total_pmp
        	{
		if not _d_counter = 2 then   /* bypass PGL  */
			{ 
			draw skip to x[_d_counter] y[_d_counter] 
			draw elevation text "~elevation text symbology"
			_s_ep_no = "EPR"+ cvt_d_s0(_d_counter) 
       		draw text value=_s_ep_no "~profile text symbology" 
			}
      	_d_counter = _d_counter + 1
        	}
    }
/* */   
  draw skip to p1
  }

        
