/* Draws shoulders and median ditch for rural sections */
/*-----------------------------------------------------------------------------------
	Add Option to draw 4:1 median ditch on both slopes 			
											2/2/17   	NPY   

-------------------------------------------------------------------------------------*/    
define "~median ditch slope symbology" 	lvname=RD_XS_TieSlope   co=16 wt=6 lc=0
define "draw 4:1 slopes in the median" 0 

if "draw 4:1 slopes in the median" = 1 then
	{
	_d_med_slope_4to1 = 1
	}
else
	{
	_d_med_slope_4to1 = 0
	}

/* IF YOU ARE ON THE LEFT SIDE OF THE MEDIAN */
if px1 > px2 and median width > 0 then
  {
   if PAVEMENT SLOPE < 0.00 then
   /* SE  high side */
   { 
   set plot parameters "~greenside symbology"
   mark x1 y1
   draw slope = -1 * PAVEMENT SLOPE for dx ="MEDIAN SHOULDER WIDTH" 
   mark x3 y3
   draw slope text between x1 y1 and x3 y3 
      "~slope text symbology" format=: 
      number of decimal places = 1
   draw skip to x1 y1
     /* NOTCH */
   set plot parameters "~pavement symbology"
   draw skip dx=0 dy=-abs("pavement thickness")
   draw slope = -pavement slope for dx=.5
   draw dx=0 dy="base thickness"
   draw slope = pavement slope to x1
   draw to x1 y1
   draw skip to x3 y3
   }
   else
   {
  /* Draw shoulder (12:1) */
   set plot parameters "~greenside symbology"
   _d_sh_slope = "shoulder slope"
   mark x1 y1
   draw slope = _d_sh_slope:-1 for dx = "MEDIAN shoulder width"
   mark x3 y3
   draw slope text between x1 y1 and x3 y3 
      "~slope text symbology" format=: 
      number of decimal places = 1
   draw skip to x1 y1
     /* NOTCH */
   set plot parameters "~pavement symbology"
   draw skip dx=0 dy=-abs("pavement thickness")
   draw slope = -pavement slope for dx=.5
   draw dx=0 dy="base thickness"
   draw slope = pavement slope to x1
   draw to x1 y1
   draw skip to x3 y3
   }
   mark x800 y800
   /* LABEL shoulder SLOPES */
   draw slope text between x1 y1 and x3 y3 
      "~shoulder slope text symbology" format=: number of decimal places = 1
  }

/* ELSE IF YOU ARE ON THE RIGHT SIDE OF THE MEDIAN */
else if px1 < px2 and median width > 0 then
  {
   /* DRAW SHOULDER */
   if PAVEMENT SLOPE < 0.00 then
   /* SE  high side */
   { 
   set plot parameters "~greenside symbology"
   mark x1 y1
   draw slope = -1 * PAVEMENT SLOPE for dx ="MEDIAN SHOULDER WIDTH" 
   mark x3 y3
   draw skip to x1 y1
     /* NOTCH */
   set plot parameters "~pavement symbology"
   draw skip dx=0 dy=-abs("pavement thickness")
   draw slope = -pavement slope for dx=.5
   draw dx=0 dy="base thickness"
   draw slope = pavement slope to x1
   draw to x1 y1
   draw skip to x3 y3
   }
   else
   {
       /* Draw shoulder (12:1) */
   set plot parameters "~greenside symbology"
   _d_sh_slope = "shoulder slope"
   mark x1 y1
   draw slope = _d_sh_slope:-1 for dx = "MEDIAN shoulder width"
   mark x3 y3
   draw skip to x1 y1
       /* NOTCH */
   set plot parameters "~pavement symbology"
   draw skip dx=0 dy=-abs("pavement thickness")
   draw slope = -pavement slope for dx=.5
   draw dx=0 dy="base thickness"
   draw slope = pavement slope to x1
   draw to x1 y1
   draw skip to x3 y3
   }
    mark x801 y801
    /* CHECK TO SEE WHICH SIDE OF MEDIAN IS HIGHER */
   set plot parameters "~median ditch slope symbology"
   if y800 >= y801 then   /* Left side higher */
      {
	 if _d_med_slope_4to1 = 0 then
		{
        	draw slope = 6:-1 for dx=abs(x801 - x800)/2 /* draw 6:1 for low side slope in the median ditch*/
        	mark x802 y802
        	draw to x800 y800
		}
	else if _d_med_slope_4to1 = 1 then  /* draw 4:1 for both slopes in the median ditch */
		{
		draw skip to x800 y800
     		draw skip slope = -4:-1 for dx=20
     		mark x805 y805
     		draw skip to x801 y801
   		draw skip slope = 4:-1 to intersection x800 y800 x805 y805
        	mark x802 y802

		if y800-y802 >= 1 then 
			{
        		draw to x800 y800
        		draw skip to x802 y802
        		draw to x801 y801
			}
		}
      }
    else               /* Right side higher */
      {
	 if _d_med_slope_4to1 = 0 then
		{
        	draw skip to x800 y800
        	draw slope = -6:-1 for dx=abs(x801 - x800)/2  	/* draw 6:1 for low side slope in the median ditch*/
        	mark x802 y802
        	draw to x801 y801
		}
	else if _d_med_slope_4to1 = 1 then   				/* draw 4:1 for both slopes in the median ditch */
		{
        	draw skip to x801 y801
        	draw skip slope = 4:-1 for dx=20
        	mark x805 y805
        	draw skip to x800 y800
   		draw skip slope = -4:-1 to intersection x801 y801 x805 y805
        	mark x802 y802
		if y801-y802 >= 1 then 
			{
        		draw to x800 y800
        		draw skip to x802 y802
        		draw to x801 y801
			}
		}
      }

    /* LABEL SLOPES */
   draw slope text between x1 y1 and x3 y3 
      "~shoulder slope text symbology" format=: number of decimal places = 1
   if abs(x800 - x801) > 2.0 then
           {
   		draw slope text between x800 y800 and x802 y802 
      		"~slope text symbology" format=: number of decimal places = 1
   		draw slope text between x802 y802 and x801 y801 
      		"~slope text symbology" format=: number of decimal places = 1
           }
   _d_elev = abs(y802)
   draw skip to x802 y802
         draw skip dx=0.0 dy=2                             
         _s_elev = cvt_d_s2(_d_elev)             
         draw text value=_s_elev "~elevation text symbology"

  }



