/* Draws tie slopes for resurfacing secondary highways */
/*-----------------------------------------------------------------------------------

***Sign convensions of slope and coordinate are based on side slope left ***   

define "~std back slope" -2:1
define "~std fill slope" -2:-1 
											NPY 11/03/03   	
-------------------------------------------------------------------------------------*/    
define "std front slope" 4:1
define "~std back slope" -2:1
define "~std fill slope" -2:-1 

/*************************************************************************/

if p1 then
  {
    set plot parameters "~ditch slope symbology"  
	_d_spec_ditch = 0

    if "ditch distance" >= 6 then
      {
        _d_fs = "std front slope"
      }
    else if "ditch distance" < 6 then
      {
        _d_fs = 4:1
      }
    _d_bs = "~std back slope"
    mark x1 y1
    draw skip trace in off=0 for dx=300
    mark x600 y600
    draw skip dx=1 dy=0
    mark x601 y601
    draw skip to x1 y1

    /* CHECK FOR NORMAL CUT OR FILL */
    if p1 then
      {
        draw skip slope = -abs(_d_fs) for dx=-1*"ditch distance"
        mark x2 y2
        draw skip to x1 y1

        /* IF YOU ARE IN CUT */
        if elevation difference at x2 y2 < 0 then
          {
            draw to x2 y2
            draw skip dx=-1*abs("ditch bottom width") dy=0
            mark x3 y3
            draw skip to x2 y2
		/*   Pause drawing NPDES lines  */ 
  		if px1 < px2 then          
			{ _d_draw_left = 0 }
  		else
			{ _d_draw_right= 0 }

            if elev diff at x3 y3 < 0 then
              {
                draw to x3 y3
                draw slope = "~std back slope" to existing ground
                mark x4 y4
                if abs(x3 - x4) < tolerance then
                  {
                    draw slope = "~std back slope" to intersection x601 y601 x600 y600
                    mark x4 y4
                    set plot parameters "~existing ground symbology"
                    draw to x600 y600
                  }
              }
            else if elev diff at x3 y3 >= 0 then
              {
                draw dx=1 dy=0 to existing ground
                mark x3 y3
                mark x4 y4
              }
          }    


        /* ELSE IF YOU ARE IN FILL */
        else if elevation diff at x2 y2 > 0 then
          	{
        	_d_fill_slope = "~std fill slope" 
        	draw slope = "~std fill slope" to existing ground
        	mark x2 y2
		mark x3 y3
            mark x4 y4

	  	_d_fill_height = abs(y1-y2)         /* fill height   */

        	/* IF x1 == x2 ... EXTEND GROUND */
        	if abs(x2 - x1) < tolerance then
          		{
            	draw slope = "~std fill slope" to intersection  x601 y601 x600 y600
            	mark x2 y2
			mark x3 y3
                  mark x4 y4

            	set plot parameters "~existing ground symbology"
            	draw to x600 y600
          		}
	  	_d_fill_height = abs(y1-y2)         	 /* fill height   */
/*
	  	if "draw npdes lines on xs" = 1 then  
			{ call draw_npdes2 }
*/
           	}               	/* Fill ENDIF  */
      }    				/* CHECK FOR NORMAL CUT OR FILL ENDIF */


     /* LABEL SLOPES & Elevation*/
     if p1 then
       {

     	   _d_elev = abs(y2)
     	   draw skip to x2 y2
         draw skip dx=0.0 dy=2                             
         _s_elev = cvt_d_s2(_d_elev)             
	   if _d_spec_ditch = 0 then
	   	{
         	draw text value=_s_elev "~elevation text symbology"
		}
	   else 
	   	{
         	draw text value=_s_elev "~elevation text symbology" co=3
		}	
         draw slope text between x1 y1 and x2 y2 "~slope text symbology" co=4
/*         if abs(x3 - x4) > tolerance then
           {
             draw slope text between x3 y3 and x4 y4 "~slope text symbology" co=4
           }
*/  
     }
  
  }
