/* Type F Curb & Gutter - 2' C&G  */                    
/* sc_cg_2ft_new.x */
/*-------------------------------------------------------------------------------
	Change symbology for earthwork calculation (mark x4 y4)   	01/24/2001	NPY
	Change symbology for earthwork calculation 
		---- if intersect dgn = "SIDEWALK"   		    	07/11/2001	NPY

	Change to level names							4/25/06	NPY	

	set plot param "~curb base symbology"
	set plot param "~sidewalk front symbology" 
	Check on SW defined by two lines					8/29/2006	NPY

---------------------------------------------------------------------------------*/                    

  if intersect dgn = "CURB & GUTTER" then 
      {
      /* Draw c/g at the LOW side of the roadway */
      if pavement slope >= 0.0 then
         {
         mark x1 y1
         set plot param "~curb top symbology"
         draw dx = 0.001  dy = -0.0208                   /*  dx=~0  dy=-1/4"  */
         mark x2 y2

         draw dx = 1.417 dy = -0.083                     /* x=1'-5", y=-1" */ 
         draw dx = 0.083 dy = 0.5                        /* dx=1" dy=6"  */
         draw dx = 0.5    dy = 0                         /* dx=6"     */
         mark x3 y3                                           

         if intersect dgn = "SIDEWALK" then 
		{
      	draw skip dx=1 dy=0 to "SIDEWALK"
      	draw skip dx=2*tolerance dy=0

      	if intersect dgn = "SIDEWALK" then 
           		{					/* Two lines --> SW width defined by two lines */ 
			draw skip to x3 y3
         		set plot param "~curb base symbology"
         		draw dx = 0      dy = -1 
			}
		else
			{   					/* One line --> SW adjacent to the back of curb */
			draw skip to x3 y3
         		set plot param "~sidewalk front symbology" 
         		draw dx = 0      dy = - "SIDEWALK THICKNESS"
         		set plot param "~curb base symbology"
         		draw dx = 0      dy = -1 + "SIDEWALK THICKNESS"
			}
		}
	   else
		{
         	set plot param "~curb base symbology"
         	draw dx = 0      dy = -1
	   	}
         draw dx = -.5     dy = 0
         draw dx = -1.5     dy = 0.083
	   mark x4 y4 
         draw skip to x1 y1
         draw skip dx = 0 dy = -"PAVEMENT THICKNESS"

         draw to x4 y4
         set plot param "~curb front symbology"
         draw to x2 y2
         draw skip to x3 y3
         _d_elev = abs(y3)

         }

      /* Draw c/g at the HIGH side of the roadway */
      else 
         {
         mark x1 y1
         set plot param "~curb top symbology"
         draw dx = 0.001  dy = -0.0208                       /*  dx=~0  dy=-1/4"  */
         mark x2 y2

	 draw slope = -pavement slope for dx = 1.417         /* 1'-5" */
         draw dx = 0.083  dy = 0.5                           /* dx=1" dy=6"  */
         draw dx = 0.5    dy = 0                             /* dx=6"     */
         mark x3 y3
         if intersect dgn = "SIDEWALK" then 
		{
      	draw skip dx=1 dy=0 to "SIDEWALK"
      	draw skip dx=2*tolerance dy=0

      	if intersect dgn = "SIDEWALK" then 
           		{					/* Two lines --> SW width defined by two lines */ 
			draw skip to x3 y3
         		set plot param "~curb base symbology"
         		draw dx = 0      dy = -1 
			}
		else
			{   					/* One line --> SW adjacent to the back of curb */
			draw skip to x3 y3
         		set plot param "~sidewalk front symbology" 
         		draw dx = 0      dy = - "SIDEWALK THICKNESS"
         		set plot param "~curb base symbology"
         		draw dx = 0      dy = -1 + "SIDEWALK THICKNESS"
			}
		}
	   else
		{
         	set plot param "~curb base symbology"
         	draw dx = 0      dy = -1 
		}
         draw dx = -.5     dy = 0
         draw slope = pavement slope for dx = -1.5           /*  Q4   */
         mark x4 y4
         draw skip to x1 y1
         draw skip dx = 0 dy = -"PAVEMENT THICKNESS"

         draw to x4 y4
         set plot param "~curb front symbology"
         draw to x2 y2
         draw skip to x3 y3
         _d_elev = abs(y3)
         }

/* Draw Curb Top Elevation */
      if x3 < xpgl then
         {                                                              /* Left Side*/
            draw skip dx=-0.55 dy=0                         /* move ~6" */  
            draw text char=^TOCLT^ "~XS TOC text symbology" just=lt 
            draw skip to x3 y3
            draw skip dx=-0.25 dy=1                             
            _s_elev = cvt_d_s2(_d_elev)             
            draw text value=_s_elev "~elevation text symbology" 
         }
      else
         {                                                 /* Right Side*/
            draw skip dx=-0.55 dy=0                         /* move ~6" */  
            draw text char=^TOCRT^ "~XS TOC text symbology" just=rt 
            draw skip to x3 y3
            draw skip dx=-0.25 dy=1                             
            _s_elev = cvt_d_s2(_d_elev)           
            draw text value=_s_elev "~elevation text symbology"  
         }
      draw skip to x3 y3
      }   
 
