/* sc_og_round.x (shapeless)*/
/*-------------------------------------------------------------------------------------------
   	Draw Ogee Curb & Gutter #1 (1.5' spill curb) for roundabout 
*** Sign convensions of slope and coordinate are based on side slope left  ***   
  
	_d_og_slope_spill = 16:1    					s = 8":0.5" = 16:1 6.25%   

	x220 y220 stored in draw_roundabout.x.  To extend base for 1.5' 			

-----------------------------------------------------------------------------------------*/                    
if p1 then 
   {
    	mark x1 y1
	_d_og_slope_spill = 16:1    					/*  s=8":0.5" = 16:1 6.25% */  
    	set plot param "~curb top symbology"
    	draw dx = 0.001  dy = -0.0208                       	/*  dx=~0  dy=-1/4"  */
    	mark x2 y2
    	draw slope = _d_og_slope_spill for dx = 0.667        /* 8" */
    	draw dx = 0.167   dy = 0.042            			/* dy=0.5"  */
    	draw dx = 0.5  dy = 0.228          				/* dx=8"  dy=2.7"  */
    	draw dx = 0.166  dy = 0.021       				/* dx=2"  dy=~0.26"     */
    	mark x3 y3                            			/* Curve TOP  */ 

/* SW adjacent to the back of curb */

	_d_curb_t1 = 0.833 - "sidewalk thickness"   		/* dy = -10" - SWt  */
	if _d_curb_t1 > 0 then
		{
		set plot param "~curb front symbology" 		/* back of curb */
		draw dx = 0      dy = - "sidewalk thickness"
    		set plot param "~curb base symbology"
     		draw dx = 0 dy = -0.833 + "sidewalk thickness"   /* dy = -10" - SWt  */ 
		mark x5 y5
		}
	else
		{
		set plot param "~curb front symbology" 		/* back of curb */
		draw dx = 0      dy = -0.833
		mark x5 y5
    		set plot param "~curb front symbology"
     		draw dx = 0 dy = _d_curb_t1   				/* dy = 10" - SWt  */ 
		}
	draw skip to x5 y5

    	set plot param "~curb front symbology"
    	draw dx = -.5     dy = 0                        	/* dx=-6" */ 
    	draw slope = - _d_og_slope_spill for dx = -1     	/* dx=-1' Quad 4 */

    	draw to x2 y2

    	set plot param "~base symbology"				
	draw skip to x220 y220
 	draw slope = _d_slope_lf to x5				/* extend 1.5' base under OG Curb #1 */
	draw to x5 y5

/* Draw Curb Top Elevation */

      draw skip to x3 y3
      _d_elev = abs(y3)

        draw skip dx=-0.3 dy=0                         	/* move ~" */  
        draw text char=^TOC1^ "~XS TOC text symbology" just=lt 

      draw skip to x3 y3
      draw skip dx=-0.25 dy=1                             
      _s_elev = cvt_d_s2(_d_elev)             
      draw text value=_s_elev "~elevation text symbology" 
      draw skip to x3 y3
  }   
