/* sc_sw_no_cg.x */
/* draw sidewalk for shoulder section (no C&G)*/                    

/*-----------------------------------------------------------------------------------
	Change symbology for earthwork and SMI                      01/25/2001

      Set plot param "~earth shoulder symbology"
	Change to level names							08/29/2006  NPY
      ?? Draw slope = 30:1 for dx = "SIDEWALK RESERVED WIDTH" 

	Add feature to draw sidewalk for shoulder section (no C&G)  	03/28/2011	 NPY
	Label sidewalk elevation and add text note "SWL" & "SWR"		04/20/2011	 NPY
	Add S/W base layer plus 0.5' extention					10/20/2011  NPY 									
------------------------------------------------------------------------------------*/                    

   if intersect dgn = "SIDEWALK" then 
      {
      mark x1 y1					
      draw skip dx=1 dy=0 to "SIDEWALK"
      mark x2 y2								
      draw skip dx=2*tolerance dy=0


	if _d_sw_no_cg = 1 then
	   	{
   		if pavement slope <= 0 then      /* SE High Side ps <= 0 */
     			{
       		_d_sw_buf_slope = -pavement slope 
     			}
		else
			{
		_d_sh_slope = "shoulder slope"	
		_d_sw_buf_slope = -_d_sh_slope:1		
			}

		_d_sw_width = 10'                            		/*  10' Multi-purpose Lane */
		_d_sw_slope = "sidewalk slope"
		_d_draw_sw_base_layer = "draw sidewalk base layer"		/* Extend 0.5' each end */
		_d_sw_base_depth = "sidewalk base layer thickness"
		_d_sw_shdr_width = 2	
		_d_sw_shdr_width_ext = 3
	   	}
	else
		{	   	
		_d_sw_buf_slope = 50:1	
		_d_sw_slope = 50:1
		_d_sw_shdr_width = 1	
	   	}

   /* SIDEWALK with green space  */ 
      if intersect dgn = "SIDEWALK" then 
           {						/* Two lines found --> width defined by two lines */ 
         	draw skip dx=1 dy=0 to "sidewalk"
         	mark x3 y3
           draw skip to x1 y1
         	set plot param "~earth shoulder symbology"
         	draw slope = _d_sw_buf_slope to x2                              	/* green space */ 
         	mark x2 y2

   	     	/* LABEL Top of Sidewalk Elevation*/
		_d_elev = abs(y2)
           _s_elev = cvt_d_s2(_d_elev)             
         	draw skip dx=0.0 dy=2                             
         	draw text value=_s_elev "~elevation text symbology"
     	   	draw skip to x2 y2
      	if x2 < xpgl then
			{							/* Left Side*/
            	draw text char=^SWL^ "~XS TOC text symbology" just=lt 
			}
		else
			{
            	draw text char=^SWR^ "~XS TOC text symbology" just=rt 
			}

     	   	draw skip to x2 y2
        	set plot param "~sidewalk symbology"			/* draw sidewalk 50:1 from x2 to x3 */ 
        	draw slope = _d_sw_slope to x3 
        	mark x3 y3
		
         	set plot param "~earth shoulder symbology"
         	draw slope = _d_sw_slope for dx = _d_sw_shdr_width  
         	mark x4 y4                    
         	draw skip to x2 y2
        	set plot param "~sidewalk base symbology"			/* draw sidewalk base */
        	draw dx=0  dy = - "SIDEWALK THICKNESS"

		if _d_draw_sw_base_layer = 1 then			
			{
         	   mark x555 y555                    				/* draw base layer */
         		draw slope = - _d_sw_slope for dx = -0.5  		/* NOTCH */
			draw dx=0  dy= - _d_sw_base_depth		

         		draw slope = _d_sw_slope to x3
			draw slope = _d_sw_slope for dx = 0.5  			
			draw dx=0  dy = _d_sw_base_depth
         		draw slope = - _d_sw_slope for dx = -0.5  
			}
			else
			{
         		draw slope = _d_sw_slope to x3
			}
         	draw to x3 y3 
         	draw skip to x4 y4                  

           }

   /* SIDEWALK (one line found) _d_sw_width = ? */
        else 
           {						/* one line found --> buffer zone width defined by the SW line location  */

		_d_sw_width = 10

           	draw skip to x1 y1
         	set plot param "~earth shoulder symbology"
         	draw slope = _d_sw_buf_slope to x2                              	/* green space */ 
         	mark x2 y2
   	     	/* LABEL Top of Sidewalk Elevation*/
		_d_elev = abs(y2)
            _s_elev = cvt_d_s2(_d_elev)             
         	draw skip dx=0.0 dy=2                             
         	draw text value=_s_elev "~elevation text symbology"
     	   	draw skip to x2 y2
      	if x2 < xpgl then
			{							/* Left Side*/
            	draw text char=^SWL^ "~XS TOC text symbology" just=lt 
			}
		else
			{
            	draw text char=^SWR^ "~XS TOC text symbology" just=rt 
			}

     	   	draw skip to x2 y2
        	set plot param "~sidewalk symbology"			/* draw sidewalk 50:1 from x2 to x3 */ 
        	draw slope = _d_sw_slope for dx = _d_sw_width 
        	mark x3 y3

         	set plot param "~earth shoulder symbology"
         	draw slope = _d_sw_slope for dx = _d_sw_shdr_width  
         	mark x4 y4                    
         	draw skip to x2 y2
        	set plot param "~sidewalk base symbology"			/* draw sidewalk base */
        	draw dx = 0      dy = - "SIDEWALK THICKNESS"

		if _d_draw_sw_base_layer = 1 then			
			{
         		draw slope = - _d_sw_slope for dx = -0.5  		/* NOTCH */
			draw dx=0  dy= - _d_sw_base_depth		

         		draw slope = _d_sw_slope to x3
			draw slope = _d_sw_slope for dx = 0.5  			
			draw dx=0  dy = _d_sw_base_depth
         		draw slope = - _d_sw_slope for dx = -0.5  
			}
			else
			{
         		draw slope = _d_sw_slope to x3
			}
         	draw to x3 y3 
         	draw skip to x4 y4                  

         	}
      }
   else if not intersect dgn = "side street in dgn" then
      {							/* No sw line found --> draw sw reserved area */
         mark x1 y1
         set plot param "~earth shoulder symbology"
         draw slope = 50:1 for dx = "SIDEWALK RESERVED WIDTH" 
         mark x3 y3 
      }


