/*  Draws earth shoulder for resurfacing + widening by matching existing pavement 
 
*** Sign convensions of slope and coordinate are based on side slope left ***   

 	draw slope = _d_slope for dx =-1*"shoulder width" 

This criteria requires x500, x501, & _d_slope to be previously defined:

	_d_slope_rt = (y350 - y351)/abs(x350 - x351)*100
    	_d_slope = _d_slope_rt 

set plot parameters "~greenside symbology"		NPY 06/28/2012
set plot param "~base symbology"

-------------------------------------------------------------------------------*/
if p1 then
  {
   if _d_slope > 0.00 then
   /* SE  high side */
   { 
     set plot parameters "~greenside symbology"
     mark x1 y1
     draw slope = _d_slope for dx =-1*"shoulder width" 
     mark x3 y3
     draw skip to x1 y1
     draw skip dx=0 dy=-abs("pavement thickness")
     mark x90 y90

     /* NOTCH */
   	set plot param "~base symbology"
     if x90 < x501 or x90 > x500 then
       {
         draw slope = _d_slope for dx=-0.5
         draw dx=0 dy = "base thickness"  
         draw slope = -1 * _d_slope to x1
         draw to x1 y1
         draw skip to x3 y3
       }
     else
       {
         draw skip to x1 y1
         draw dx=0 dy=-1 to existing ground
         draw skip to x3 y3
       }
   }
   else
   {
   /* Draw shoulder (12:1) */
   set plot parameters "~greenside symbology"
   mark x1 y1
   _d_sh_slope = "shoulder slope"
   draw slope = -_d_sh_slope:-1 for dx = -1 * "shoulder width"
   mark x3 y3
   draw skip to x1 y1
   draw skip dx=0 dy=-abs("pavement thickness")
   mark x90 y90
   /* NOTCH */
   	set plot param "~base symbology"
     if x90 < x501 or x90 > x500 then
       {
         draw slope = _d_slope for dx = -0.5
         draw dx=0 dy="base thickness"  
         draw slope = -1 * _d_slope to x1
         draw to x1 y1
         draw skip to x3 y3
       }
     else
       {
         draw skip to x1 y1
         draw dx=0 dy=-1 to existing ground
         draw skip to x3 y3
       }
   }
 }
